# Copyright (C) 2023 Bootloader.  All rights reserved.
#
# This software is the confidential and proprietary information of
# Bootloader or one of its subsidiaries.  You shall not disclose this
# confidential information and shall use it only in accordance with the
# terms of the license agreement or other applicable agreement you
# entered into with Bootloader.
#
# BOOTLOADER MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE
# SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT
# NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
# A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  BOOTLOADER SHALL NOT BE
# LIABLE FOR ANY LOSSES OR DAMAGES SUFFERED BY LICENSEE AS A RESULT OF
# USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.

from majormode.perseus.model.enum import Enum


UnityAssetClass = Enum (
    'ActionOnDotNetUnhandledException',
    'ActiveProfileChangedEventArgs',
    'AddAndRemoveRequest',
    'AddedComponent',
    'AddedGameObject',
    'AddRequest',
    'AdvancedDropdown',
    'AdvancedDropdownItem',
    'AdvancedDropdownState',
    'AdvancedObjectSelectorAttribute',
    'AdvancedObjectSelectorEventType',
    'AdvancedObjectSelectorParameters',
    'AdvancedObjectSelectorValidatorAttribute',
    'AdvertisementSettings',
    'AlbedoSwatchInfo',
    'AnalyticsSettings',
    'Android',
    'AndroidArchitecture',
    'AndroidAssetPackImporter',
    'AndroidBlitType',
    'AndroidBuildSystem',
    'AndroidBuildType',
    'AndroidCreateSymbols',
    'AndroidETC2Fallback',
    'AndroidETC2FallbackOverride',
    'AndroidExternalToolsSettings',
    'AndroidGamepadSupportLevel',
    'AndroidMinification',
    'AndroidPlatformIconKind',
    'AndroidPreferredInstallLocation',
    'AndroidSdkVersions',
    'AndroidSharedLibraryType',
    'AndroidShowActivityIndicatorOnLoading',
    'AndroidSplashScreenScale',
    'AndroidTargetDevice',
    'AndroidTargetDevices',
    'AnimationClipCurveData',
    'AnimationMode',
    'AnimationModeDriver',
    'AnimationUtility',
    'AnimationWindow',
    'AnimatorCondition',
    'AnimatorConditionMode',
    'AnimatorController',
    'AnimatorControllerLayer',
    'AnimatorLayerBlendingMode',
    'AnimatorState',
    'AnimatorStateMachine',
    'AnimatorStateTransition',
    'AnimatorTransition',
    'AnimatorTransitionBase',
    'AnimBool',
    'AnimFloat',
    'AnimQuaternion',
    'AnimVector3',
    'ApiCompatibilityLevel',
    'AppleMobileArchitecture',
    'ApplyRulesIfGraphicsAPIAttribute',
    'ApplyRulesIfNotGraphicsAPIAttribute',
    'ApplyRulesIfTagsEqualAttribute',
    'ApplyRulesIfTagsNotEqualAttribute',
    'ArcHandle',
    'ArrayEntries_1',
    'ArrayUtility',
    'ArtifactID',
    'ArtifactKey',
    'AscentCalculationMode',
    'AskUser',
    'AssembliesType',
    'Assembly',
    'AssemblyBuilder',
    'AssemblyBuilderFlags',
    'AssemblyBuilderStatus',
    'AssemblyDefinitionException',
    'AssemblyDefinitionPlatform',
    'AssemblyDefinitionReferenceType',
    'AssemblyFlags',
    'AssemblyReloadEvents',
    'Asset',
    'AssetBundleBuild',
    'AssetBundleInfo',
    'AssetDatabase',
    'AssetDatabaseLoadOperation',
    'AssetDeleteResult',
    'AssetImportContext',
    'AssetImporter',
    'AssetImporterEditor',
    'AssetIndexChangeSet',
    'AssetList',
    'AssetLoadInfo',
    'AssetModificationProcessor',
    'AssetMoveResult',
    'AssetPathToGUIDOptions',
    'AssetPipelineMode',
    'AssetPostprocessor',
    'AssetPreview',
    'AssetSettingsProvider',
    'AtlasSettings',
    'Attacher',
    'AudioCurveRendering',
    'AudioImporter',
    'AudioImporterSampleSettings',
    'AudioSampleRateSetting',
    'AudioTrackAttributes',
    'AuthorInfo',
    'Axes',
    'BackgroundModesOptions',
    'BaseAnimValue_1',
    'BaseAnimValueNonAlloc_1',
    'BaseMaskField_1',
    'BindingExtensions',
    'Blackboard',
    'BlackboardField',
    'BlackboardRow',
    'BlackboardSection',
    'BlendTree',
    'BlendTreeType',
    'BoxBoundsHandle',
    'BrokenPrefabAsset',
    'BrushGUIEditFlags',
    'BuildAssetBundleOptions',
    'BuildAssetBundlesParameters',
    'BuildCompression',
    'Builder',
    'BuildFailedException',
    'BuildFile',
    'BuildMethodException',
    'BuildOptions',
    'BuildPipeline',
    'BuildPlayerContext',
    'BuildPlayerOptions',
    'BuildPlayerProcessor',
    'BuildPlayerWindow',
    'BuildReferenceMap',
    'BuildReport',
    'BuildResult',
    'BuildSettings',
    'BuildStep',
    'BuildStepMessage',
    'BuildSummary',
    'BuildTarget',
    'BuildTargetGroup',
    'BuildUsageCache',
    'BuildUsageTagGlobal',
    'BuildUsageTagSet',
    'BuildUtilities',
    'CacheServerConnectionChangedParameters',
    'CacheServerMode',
    'CacheServerValidationMode',
    'CallbackOrderAttribute',
    'CameraDescription',
    'CameraEditor',
    'CameraEditorUtils',
    'CameraMode',
    'CameraProjectionCache',
    'CameraSettings',
    'CanAppendBuild',
    'CanEditMultipleObjects',
    'CanStartDragArgs',
    'Capabilities',
    'Capacity',
    'CapsuleBoundsHandle',
    'CellSizing',
    'ChangeAssetObjectPropertiesEventArgs',
    'ChangeCheckScope',
    'ChangeChildrenOrderEventArgs',
    'ChangeGameObjectOrComponentPropertiesEventArgs',
    'ChangeGameObjectParentEventArgs',
    'ChangeGameObjectStructureEventArgs',
    'ChangeGameObjectStructureHierarchyEventArgs',
    'ChangeSceneEventArgs',
    'ChangeSet',
    'ChangeSets',
    'ChannelClient',
    'ChannelClientInfo',
    'ChannelClientScope',
    'ChannelInfo',
    'ChannelScope',
    'ChannelService',
    'CheckoutMode',
    'ChildAnimatorState',
    'ChildAnimatorStateMachine',
    'ChildMotion',
    'ClickSelector',
    'Client',
    'ClipAnimationInfoCurve',
    'ClipAnimationMaskType',
    'ClipboardUtility',
    'CloudProjectSettings',
    'CloudProjectSettingsEventManager',
    'ClutchShortcutAttribute',
    'CodeOptimization',
    'CollectImportedDependenciesAttribute',
    'ColorField',
    'ColorPickerHDRConfig',
    'Column',
    'CommonRoles',
    'CompilationPipeline',
    'CompilerMessage',
    'CompilerMessageType',
    'CompletionAction',
    'CompressionLevel',
    'CompressionType',
    'ComputeShaderImporter',
    'ConfigField',
    'ConnectedPlayer',
    'Connection',
    'ConnectionEntries',
    'ConstantBufferInfo',
    'ConstantInfo',
    'ContentBuildFlags',
    'ContentBuildInterface',
    'ContentBuildProfileEvent',
    'ContentDragger',
    'ContentZoomer',
    'ConvertToPrefabInstanceSettings',
    'CoppaCompliance',
    'CoppaDrawer',
    'CrashReportingSettings',
    'CreateAssetObjectEventArgs',
    'CreateGameObjectHierarchyEventArgs',
    'CurveField',
    'CurveFilterOptions',
    'CurveModifiedType',
    'CustomEditor',
    'CustomEditorForRenderPipelineAttribute',
    'CustomObjectIndexerAttribute',
    'CustomObjectIndexerTarget',
    'CustomPreviewAttribute',
    'CustomPropertyDrawer',
    'CycleDirection',
    'D3D11FullscreenMode',
    'D3D9FullscreenMode',
    'DataMode',
    'DataModeChangeEventArgs',
    'DataType',
    'DDSImporter',
    'Declarations',
    'DecoratorDrawer',
    'DefaultAsset',
    'DefaultBuildMethods',
    'DefaultGUI',
    'DefaultGUI',
    'DefaultLightingExplorerExtension',
    'DefaultPreset',
    'DefaultPresetSelectorReceiver',
    'DefaultStyles',
    'DenoiserType',
    'DependencyInfo',
    'DependencyType',
    'DepthBufferFormat',
    'DestroyAssetObjectEventArgs',
    'DestroyGameObjectHierarchyEventArgs',
    'DetailBrushBounds',
    'DetailBrushRepresentation',
    'DeviceSimulator',
    'DeviceSimulatorPlugin',
    'DialogOptOutDecisionType',
    'DidReloadScripts',
    'Direction',
    'DisabledGroupScope',
    'DisabledScope',
    'Dispatcher',
    'DisplayMode',
    'DockPosition',
    'DockZone',
    'DragAndDrop',
    'DragAndDropArgs',
    'DragAndDropPosition',
    'DragAndDropVisualMode',
    'DragAndDropWindowTarget',
    'Dragger',
    'DrawCameraMode',
    'DrawGizmo',
    'DrawingScope',
    'DrawMode',
    'Edge',
    'EdgeConnector',
    'EdgeConnector_1',
    'EdgeControl',
    'EdgeDragHelper',
    'EdgeDragHelper_1',
    'EdgeManipulator',
    'Editor',
    'EditorAnalytics',
    'EditorAnalyticsSessionInfo',
    'EditorApplication',
    'EditorBuildSettings',
    'EditorBuildSettingsScene',
    'EditorCameraUtils',
    'EditorConnection',
    'EditorCurveBinding',
    'EditorGraphicsSettings',
    'EditorGUI',
    'EditorGUILayout',
    'EditorGUIUtility',
    'EditorJsonUtility',
    'EditorPrefs',
    'EditorSceneManager',
    'EditorSelectedRenderState',
    'EditorSettings',
    'EditorSkin',
    'EditorSnapSettings',
    'EditorStyles',
    'EditorTool',
    'EditorToolAttribute',
    'EditorToolbarButton',
    'EditorToolbarDropdown',
    'EditorToolbarDropdownToggle',
    'EditorToolbarElementAttribute',
    'EditorToolbarToggle',
    'EditorToolbarUtility',
    'EditorToolContext',
    'EditorToolContextAttribute',
    'EditorUserBuildSettings',
    'EditorUtility',
    'EditorWindow',
    'EditorWindowTitleAttribute',
    'EditPrefabContentsScope',
    'EmbedRequest',
    'EnterPlayModeOptions',
    'EntitlementGroupInfo',
    'EntitlementInfo',
    'Enumerator',
    'EnumFlagsField',
    'Error',
    'ErrorCode',
    'EvaluationMode',
    'EventDataSerialization',
    'EventPropagation',
    'Events',
    'EventService',
    'ExportPackageOptions',
    'ExternalFileReference',
    'Facebook',
    'FadeGroupScope',
    'FBXMaterialDescriptionPreprocessor',
    'FetchPreviewOptions',
    'FieldDescription',
    'FieldDescriptionEntries',
    'FieldInfoCollection',
    'FileMode',
    'FilePathAttribute',
    'FileType',
    'FileUtil',
    'FilterAction',
    'FilterAttribute',
    'FilterMode',
    'FilterType',
    'FilterWorkflow',
    'FlowEvent',
    'FontRenderingMode',
    'FontTextureCase',
    'ForceReserializeAssetsOptions',
    'FrameCaptureMode',
    'FrameDataView',
    'FrameType',
    'FreehandSelector',
    'FuzzySearch',
    'GameManagerDependencyInfo',
    'GameObjectRecorder',
    'GameObjectToolContext',
    'GameObjectUtility',
    'GCHandleEntries',
    'GenericMenu',
    'GfxResourceInfo',
    'GitInfo',
    'GIWorkflowMode',
    'GizmoInfo',
    'GizmoType',
    'GizmoUtility',
    'GlobalObjectId',
    'GradientField',
    'GraphElement',
    'GraphElementScopeExtensions',
    'GraphicsAPIConstraintAttribute',
    'GraphicsJobMode',
    'GraphView',
    'GraphViewBlackboardWindow',
    'GraphViewChange',
    'GraphViewEditorWindow',
    'GraphViewMinimapWindow',
    'GraphViewToolWindow',
    'GridBackground',
    'GridPalette',
    'Group',
    'GUIDrawer',
    'H264EncoderAttributes',
    'HandleDirection',
    'Handles',
    'HandleUtility',
    'HeightAxis',
    'Help',
    'HierarchyDropFlags',
    'HierarchyFrameDataView',
    'Highlighter',
    'HighlightSearchMode',
    'HorizontalScope',
    'HyperLinkClickedEventArgs',
    'IAccessContainerWindow',
    'IActiveBuildTargetChanged',
    'IApplyRevertPropertyContextMenuItemProvider',
    'ICollectibleElement',
    'IconBadge',
    'IconKind',
    'IconOverlayType',
    'IconSizeScope',
    'ICreateHorizontalToolbar',
    'ICreateToolbar',
    'ICreateVerticalToolbar',
    'IDataModeController',
    'IDrawSelectedHandles',
    'IDroppable',
    'IDropTarget',
    'IEdgeConnectorListener',
    'IFilterBuildAssemblies',
    'IFilterEngine_1',
    'IFilterNode',
    'IHasCustomMenu',
    'IHVImageFormatImporter',
    'IIconOverlayExtension',
    'IIl2CppProcessor',
    'IInspectorWindowExtension',
    'Il2CppBuildPipelineData',
    'Il2CppCodeGeneration',
    'Il2CppCompilerConfiguration',
    'ILightingExplorerExtension',
    'IMGUIOverlay',
    'ImportAssetOptions',
    'ImportLog',
    'ImportLogEntry',
    'ImportLogFlags',
    'ImportOptions',
    'IndentLevelScope',
    'IndexingOptions',
    'INestedQueryNode',
    'InitializeOnEnterPlayModeAttribute',
    'InitializeOnLoadAttribute',
    'InitializeOnLoadMethodAttribute',
    'InsecureHttpOption',
    'InspectorElement',
    'InstantiationResult',
    'InteractionMode',
    'IObjectSelectorEngine',
    'IOnInspectorGUI',
    'IOnPaint',
    'IOnSceneGUI',
    'IOrderedCallback',
    'iOS',
    'iOSAppInBackgroundBehavior',
    'iOSBackgroundMode',
    'iOSBuildType',
    'iOSDeviceRequirement',
    'iOSLaunchScreenImageType',
    'iOSLaunchScreenType',
    'iOSPlatformIconKind',
    'iOSSdkVersion',
    'iOSShowActivityIndicatorOnLoading',
    'iOSStatusBarStyle',
    'iOSTargetDevice',
    'iOSTargetOSVersion',
    'IPackageManagerExtension',
    'IPopupMenuExtension',
    'IPostBuildPlayerScriptDLLs',
    'IPostGenerateGradleAndroidProject',
    'IPostprocessBuild',
    'IPostprocessBuildWithReport',
    'IPreprocessBuild',
    'IPreprocessBuildWithReport',
    'IPreprocessComputeShaders',
    'IPreprocessShaders',
    'IProcessScene',
    'IProcessSceneWithReport',
    'IProfilerFrameTimeViewSampleSelectionController',
    'IProjectEditorDrawer',
    'IProjectSearchEngine',
    'IPropertyDatabaseRecord',
    'IPropertyDatabaseRecordValue',
    'IPropertyDatabaseView',
    'IQueryEngineFilter',
    'IQueryHandler_2',
    'IQueryHandlerFactory_3',
    'IQueryNode',
    'IQuerySource',
    'IResizable',
    'ISceneSearchEngine',
    'ISceneTemplatePipeline',
    'IScriptableBakedReflectionSystem',
    'IScriptableBakedReflectionSystemStageNotifier',
    'ISearchContext',
    'ISearchDatabase',
    'ISearchEngine_1',
    'ISearchEngineBase',
    'ISearchList',
    'ISearchNode',
    'ISearchQuery',
    'ISearchView',
    'ISearchWindowProvider',
    'ISelectable',
    'ISelection',
    'ISelectorEngine',
    'ISettingsInspectorExtension',
    'IShortcutManager',
    'IShouldIncludeInBuildCallback',
    'ISupportsOverlays',
    'ITableView',
    'Item',
    'ItemSelectors',
    'ITerrainLayerCustomUI',
    'IToolbarMenuElement',
    'ITransientOverlay',
    'IUnityLinkerProcessor',
    'JointAngularLimitHandle',
    'KeyCombination',
    'L10n',
    'Layer',
    'LayerField',
    'LayerMaskField',
    'Layout',
    'LicensingUtility',
    'LightDescription',
    'LightEditor',
    'LightingDataAsset',
    'LightingExplorerExtensionAttribute',
    'LightingExplorerTab',
    'LightingExplorerTableColumn',
    'LightingWindowEnvironmentSection',
    'LightmapBakeQuality',
    'LightmapEditorSettings',
    'LightmapParameters',
    'Lightmapper',
    'Lightmapping',
    'LineEndingsMode',
    'ListRequest',
    'LocalizationAttribute',
    'LocalizationGroup',
    'Location',
    'LODUtility',
    'LogLevel',
    'MacFullscreenMode',
    'MainStage',
    'ManagedDebugger',
    'ManagedMemorySectionEntries',
    'ManagedReferenceMissingType',
    'ManagedStrippingLevel',
    'MapsOptions',
    'MarkerInfo',
    'MarkerMetadataInfo',
    'MaskField',
    'MaterialDescription',
    'MaterialEditor',
    'MaterialEditorExtensions',
    'MaterialLocation',
    'MaterialProperty',
    'MaterialPropertyDrawer',
    'MediaEncoder',
    'MediaRational',
    'MediaTime',
    'MemorySection',
    'MemorySnapshot',
    'Menu',
    'MenuCommand',
    'MenuItem',
    'MergeMethod',
    'MeshColliderType',
    'MeshOptimizationFlags',
    'MeshPreview',
    'MeshUtility',
    'Message',
    'MessageType',
    'MetalValidation',
    'MethodCollection',
    'MethodInfo',
    'MiniMap',
    'MinSizePolicy',
    'MobileTextureSubtarget',
    'Mode',
    'ModelImporter',
    'ModelImporterAnimationCompression',
    'ModelImporterAnimationType',
    'ModelImporterAvatarSetup',
    'ModelImporterClipAnimation',
    'ModelImporterGenerateAnimations',
    'ModelImporterGenerateMaterials',
    'ModelImporterHumanoidOversampling',
    'ModelImporterIndexFormat',
    'ModelImporterMaterialImportMode',
    'ModelImporterMaterialLocation',
    'ModelImporterMaterialName',
    'ModelImporterMaterialSearch',
    'ModelImporterMeshCompression',
    'ModelImporterNormalCalculationMode',
    'ModelImporterNormals',
    'ModelImporterNormalSmoothingSource',
    'ModelImporterSecondaryUVMarginMethod',
    'ModelImporterSkinWeights',
    'ModelImporterTangents',
    'ModelImporterTangentSpaceMode',
    'MonoImporter',
    'MonoScript',
    'MouseCursor',
    'MultiColumnHeader',
    'MultiColumnHeaderState',
    'NamedBuildTarget',
    'NamingScheme',
    'NativeAllocationEntries',
    'NativeAllocationSiteEntries',
    'NativeCallstackSymbolEntries',
    'NativeMemoryLabelEntries',
    'NativeMemoryRegionEntries',
    'NativeObjectEntries',
    'NativeRootReferenceEntries',
    'NativeTypeEntries',
    'NavMeshEditorHelpers',
    'NavMeshVisualizationSettings',
    'NewSceneMode',
    'NewSceneSetup',
    'Node',
    'NodeCreationContext',
    'NormalMapEncoding',
    'ObjectChangeEvents',
    'ObjectChangeEventStream',
    'ObjectChangeKind',
    'ObjectFactory',
    'ObjectField',
    'ObjectFlags',
    'ObjectFlagsExtensions',
    'ObjectIdentifier',
    'ObjectIndexer',
    'ObjectMatchMode',
    'ObjectNames',
    'ObjectOverride',
    'ObjectPreview',
    'ObjectSelector',
    'ObjectSelectorEngineAttribute',
    'ObjectSelectorHandlerAttribute',
    'ObjectSelectorSearch',
    'ObjectSelectorSearchContext',
    'ObjectSelectorTargetInfo',
    'ObjectSerializedInfo',
    'OnlineState',
    'OnOpenAssetAttributeMode',
    'OpenSceneMode',
    'Options',
    'Orientation',
    'OSArchitecture',
    'Overlay',
    'OverlayAttribute',
    'OverlayCanvas',
    'OverlayToolbar',
    'OverrideTextureCompression',
    'PackageCollection',
    'PackageInfo',
    'PackageManagerExtensions',
    'PackageRegistrationEventArgs',
    'PackageSource',
    'PackedAssetInfo',
    'PackedAssets',
    'PackedGCHandle',
    'PackedMemorySnapshot',
    'PackedNativeType',
    'PackedNativeUnityEngineObject',
    'Packer',
    'PackerJob',
    'PackOperationResult',
    'PackRequest',
    'PaintDetailsToolUtility',
    'PaintTreesDetailsContext',
    'ParsedQuery_1',
    'ParsedQuery_2',
    'ParseResult_1',
    'Pass',
    'PauseState',
    'PBXCapabilityType',
    'PBXProject',
    'PBXProjectExtensions',
    'PBXSourceTree',
    'PerformanceReportingSettings',
    'PhysicsDebugWindow',
    'PhysicsVisualizationSettings',
    'PickingIncludeExcludeList',
    'Pill',
    'PivotMode',
    'PivotRotation',
    'Placemat',
    'PlacematContainer',
    'PlatformIcon',
    'PlatformIconKind',
    'PlatformShaderSettings',
    'PlayableOutputEditorExtensions',
    'PlayerBuildInterface',
    'PlayerConnectionGUI',
    'PlayerConnectionGUILayout',
    'PlayerConnectionGUIUtility',
    'PlayerConnectionInitiateMode',
    'PlayerSettings',
    'PlayModeStateChange',
    'PlayModeViewTypes',
    'PlayModeWindow',
    'PlistDocument',
    'PlistElement',
    'PlistElementArray',
    'PlistElementBoolean',
    'PlistElementDate',
    'PlistElementDict',
    'PlistElementInteger',
    'PlistElementReal',
    'PlistElementString',
    'Plugin',
    'PluginImporter',
    'PopupWindow',
    'PopupWindowContent',
    'Port',
    'PortSource_1',
    'PositionHandleIds',
    'PostProcessBuildAttribute',
    'PostProcessSceneAttribute',
    'Precedence',
    'PrecompiledAssemblyException',
    'PrecompiledAssemblySources',
    'PrefabAssetType',
    'PrefabInstanceStatus',
    'PrefabOverride',
    'PrefabOverridesOptions',
    'PrefabReplacingSettings',
    'PrefabStage',
    'PrefabStageUtility',
    'PrefabType',
    'PrefabUnpackMode',
    'PrefabUtility',
    'PreferenceItem',
    'PreloadInfo',
    'PreprocessedVariant',
    'PreprocessorOverride',
    'Preset',
    'PresetSelector',
    'PresetSelectorReceiver',
    'PresetType',
    'PreviewSceneStage',
    'PrimitiveBoundsHandle',
    'Priority',
    'ProcessEvent',
    'ProcessLevel',
    'ProcessService',
    'ProcessState',
    'ProfileCaptureOptions',
    'ProfileEventType',
    'ProfilerCategoryInfo',
    'ProfilerEditorUtility',
    'ProfilerTimeSampleSelection',
    'ProfilerWindow',
    'Progress',
    'Project',
    'ProjectBindDrawer',
    'ProjectCapabilityManager',
    'ProjectSearch',
    'ProjectSearchContext',
    'ProjectSearchEngineAttribute',
    'PropertyCallbackScope',
    'PropertyDatabase',
    'PropertyDatabaseRecordKey',
    'PropertyDatabaseType',
    'PropertyDrawer',
    'PropertyField',
    'PropertyModification',
    'PropertyScope',
    'PropertyTable',
    'PropertyVisibility',
    'PropFlags',
    'PropType',
    'Provider',
    'ProvisioningProfileType',
    'PurchasingSettings',
    'QueryBlock',
    'QueryEngine',
    'QueryEngine_1',
    'QueryEngineFilterAttribute',
    'QueryEngineParameterTransformerAttribute',
    'QueryError',
    'QueryFilter',
    'QueryFilterOperator',
    'QueryGraph',
    'QueryGraphOptimizationOptions',
    'QueryListBlock',
    'QueryListBlockAttribute',
    'QueryNodeType',
    'QueryToken',
    'QueryValidationOptions',
    'RawFrameDataView',
    'RectangleSelector',
    'RectUtils',
    'ReferencesOptions',
    'RefreshFlags',
    'RefreshImportMode',
    'RegistryInfo',
    'RemoveAssetOptions',
    'RemovedComponent',
    'RemovedGameObject',
    'RemoveIfAttribute',
    'RemoveIfNotAttribute',
    'RemoveOrSelectAttribute',
    'RemoveRequest',
    'RenameEndedArgs',
    'RenderMode',
    'RenderPipelineEditorUtility',
    'RenderSettings',
    'RepaintFlags',
    'ReplacePrefabOptions',
    'RepositoryInfo',
    'Request',
    'Request_1',
    'RequestScriptCompilationOptions',
    'ResetToEditorDefaultsRequest',
    'ResizableElement',
    'Resizer',
    'ResizerDirection',
    'ResolutionDialogSetting',
    'ResolveMethod',
    'ResourceFile',
    'ResponseFileData',
    'RevertMode',
    'RoleProviderAttribute',
    'RotationHandleIds',
    'RowGUIArgs',
    'RunAfterAssemblyAttribute',
    'RunAfterClassAttribute',
    'RunAfterPackageAttribute',
    'RunBeforeAssemblyAttribute',
    'RunBeforeClassAttribute',
    'RunBeforePackageAttribute',
    'Sample',
    'Sampling',
    'Scene',
    'SceneAsset',
    'SceneBundleInfo',
    'SceneCullingMasks',
    'SceneDependencyInfo',
    'SceneLoadInfo',
    'SceneQueryEngineFilterAttribute',
    'SceneQueryEngineParameterTransformerAttribute',
    'SceneSearch',
    'SceneSearchContext',
    'SceneSearchEngineAttribute',
    'SceneSetup',
    'SceneStateHash',
    'ScenesUsingAsset',
    'ScenesUsingAssets',
    'SceneTemplateAsset',
    'SceneTemplatePipelineAdapter',
    'SceneTemplateService',
    'SceneView',
    'SceneViewCameraWindow',
    'SceneViewState',
    'SceneVisibilityManager',
    'Scope',
    'ScriptableBakedReflectionSystem',
    'ScriptableBakedReflectionSystemSettings',
    'ScriptableRenderPipelineExtensionAttribute',
    'ScriptableSingleton_1',
    'ScriptableWizard',
    'ScriptCallOptimizationLevel',
    'ScriptCompilationOptions',
    'ScriptCompilationResult',
    'ScriptCompilationSettings',
    'ScriptCompiler',
    'ScriptCompilerOptions',
    'ScriptedImporter',
    'ScriptedImporterAttribute',
    'ScriptedImporterEditor',
    'ScriptingImplementation',
    'ScriptingRuntimeVersion',
    'ScrollViewScope',
    'SearchAction',
    'SearchActionsProviderAttribute',
    'SearchColumn',
    'SearchColumnCompareArgs',
    'SearchColumnEventArgs',
    'SearchColumnFlags',
    'SearchColumnProviderAttribute',
    'SearchContext',
    'SearchDocument',
    'SearchDocumentFlags',
    'SearchEngineScope',
    'SearchExpression',
    'SearchExpressionContext',
    'SearchExpressionEvaluationHints',
    'SearchExpressionEvaluatorAttribute',
    'SearchExpressionEvaluatorSignatureOverloadAttribute',
    'SearchExpressionKeyword',
    'SearchExpressionRuntime',
    'SearchExpressionType',
    'SearchField',
    'SearchFieldBase_2',
    'SearchFlags',
    'SearchIndexer',
    'SearchItem',
    'SearchItemOptions',
    'SearchItemProviderAttribute',
    'SearchMonitor',
    'SearchMonitorView',
    'SearchProposition',
    'SearchPropositionFlags',
    'SearchPropositionFlagsExtensions',
    'SearchPropositionOptions',
    'SearchProvider',
    'SearchQueryError',
    'SearchQueryErrorType',
    'SearchRequest',
    'SearchResult',
    'SearchSelection',
    'SearchSelectorArgs',
    'SearchSelectorAttribute',
    'SearchService',
    'SearchSettings',
    'SearchTable',
    'SearchTreeEntry',
    'SearchTreeGroupEntry',
    'SearchUtils',
    'SearchValue',
    'SearchViewState',
    'SearchWindow',
    'SearchWindowContext',
    'SelectIfAttribute',
    'SelectIfNotAttribute',
    'Selection',
    'SelectionDragger',
    'SelectionDropper',
    'SelectionMode',
    'SelectOrRemoveAttribute',
    'SemanticMergeMode',
    'SerializationInfo',
    'SerializationUtility',
    'SerializedLocation',
    'SerializedObject',
    'SerializedObjectChangeEvent',
    'SerializedProperty',
    'SerializedPropertyChangeEvent',
    'SerializedPropertyNumericType',
    'SerializedPropertyType',
    'SessionState',
    'Settings',
    'SettingsProvider',
    'SettingsProviderAttribute',
    'SettingsProviderGroupAttribute',
    'SettingsScope',
    'SettingsService',
    'SetupDragAndDropArgs',
    'Severity',
    'ShaderCompilerData',
    'ShaderCompilerMessageSeverity',
    'ShaderCompilerPlatform',
    'ShaderData',
    'ShaderGUI',
    'ShaderImporter',
    'ShaderInclude',
    'ShaderIncludePathAttribute',
    'ShaderInfo',
    'ShaderMessage',
    'ShaderPrecisionModel',
    'ShaderPropertyType',
    'ShaderQuality',
    'ShaderRequirements',
    'ShaderSnippetData',
    'ShaderType',
    'ShaderUtil',
    'ShortcutArguments',
    'ShortcutAttribute',
    'ShortcutBaseAttribute',
    'ShortcutBinding',
    'ShortcutBindingChangedEventArgs',
    'ShortcutHandler',
    'ShortcutManager',
    'ShortcutModifiers',
    'ShortcutStage',
    'ShowDetailsOptions',
    'SketchUpImportCamera',
    'SketchUpImporter',
    'SketchUpImportScene',
    'SketchupMaterialDescriptionPreprocessor',
    'SourceAssetIdentifier',
    'SourceTextureInformation',
    'SpeedTreeImporter',
    'SphereBoundsHandle',
    'SplashScreen',
    'SplashScreenLogo',
    'SplashScreenStyle',
    'SpriteAtlasAsset',
    'SpriteAtlasExtensions',
    'SpriteAtlasImporter',
    'SpriteAtlasPackingSettings',
    'SpriteAtlasTextureSettings',
    'SpriteAtlasUtility',
    'SpriteEditorExtension',
    'SpriteImportData',
    'SpriteImportMode',
    'SpriteMetaData',
    'SpritePackerMode',
    'SpriteUtility',
    'StackNode',
    'Stage',
    'StageHandle',
    'StageUtility',
    'StandaloneBuildSubtarget',
    'StateMachineBehaviourContext',
    'States',
    'StaticEditorFlags',
    'StaticOcclusionCulling',
    'StaticOcclusionCullingVisualization',
    'Status',
    'StatusCode',
    'StatusQueryOptions',
    'StereoRenderingPath',
    'StickyNote',
    'StickyNoteChange',
    'StickyNoteChangeEvent',
    'StickyNoteFontSize',
    'StickyNoteTheme',
    'StringView',
    'StrippingInfo',
    'StrippingLevel',
    'SubmitResult',
    'Subshader',
    'Sysroot',
    'TagConstraintAttribute',
    'TagField',
    'TakeInfo',
    'TangentMode',
    'Task',
    'TemplateInstantiationMode',
    'TerrainBrushPreviewMode',
    'TerrainDetailMeshRenderMode',
    'TerrainDetailMeshWizard',
    'TerrainDetailTextureWizard',
    'TerrainInspectorUtility',
    'TerrainLayerInspector',
    'TerrainLayerUtility',
    'TerrainPaintTool_1',
    'TerrainPaintUtilityEditor',
    'TerrainToolShortcutContext',
    'TerrainWizard',
    'TextCursorPlacement',
    'TextureBindingInfo',
    'TextureCompressionQuality',
    'TextureGenerationOutput',
    'TextureGenerationSettings',
    'TextureGenerator',
    'TextureImporter',
    'TextureImporterAlphaSource',
    'TextureImporterCompression',
    'TextureImporterCubemapConvolution',
    'TextureImporterFormat',
    'TextureImporterGenerateCubemap',
    'TextureImporterMipFilter',
    'TextureImporterNormalFilter',
    'TextureImporterNPOTScale',
    'TextureImporterPlatformSettings',
    'TextureImporterRGBMMode',
    'TextureImporterSettings',
    'TextureImporterShape',
    'TextureImporterSingleChannelComponent',
    'TextureImporterSwizzle',
    'TextureImporterType',
    'TexturePropertyDescription',
    'TextureResizeAlgorithm',
    'ThreeDSMaterialDescriptionPreprocessor',
    'TierSettings',
    'TimeDisplayMode',
    'ToggleGroupScope',
    'TokenNode',
    'Tool',
    'ToolAttribute',
    'Toolbar',
    'ToolbarBreadcrumbs',
    'ToolbarButton',
    'ToolbarMenu',
    'ToolbarMenuElementExtensions',
    'ToolbarOverlay',
    'ToolbarPopupSearchField',
    'ToolbarSearchField',
    'ToolbarSpacer',
    'ToolbarToggle',
    'ToolManager',
    'Tools',
    'TouchEvent',
    'TouchPhase',
    'TransformUtils',
    'TransitionInterruptionSource',
    'TreeView',
    'TreeViewItem',
    'TreeViewSelectionOptions',
    'TreeViewState',
    'TrueTypeFontImporter',
    'tvOS',
    'tvOSPlatformIconKind',
    'tvOSSdkVersion',
    'tvOSTargetOSVersion',
    'TypeCache',
    'TypeCollection',
    'TypeDB',
    'TypeDescription',
    'TypeDescriptionEntries',
    'TypeFlags',
    'TypeFlagsExtensions',
    'UIOrientation',
    'Undo',
    'UndoPropertyModification',
    'UndoRedoInfo',
    'UnityEditor',
    'UnityEventTools',
    'UnityLinkerBuildPipelineData',
    'UnityLogoStyle',
    'UnityObjectInfo',
    'UnityObjectNativeTypeInfo',
    'UnwrapParam',
    'Unwrapping',
    'UpdatePrefabInstancesEventArgs',
    'UserBuildSettings',
    'Utility',
    'UxmlFactory',
    'UxmlNamespacePrefixAttribute',
    'UxmlTraits',
    'ValueType',
    'Variant',
    'VariantCompileInfo',
    'VersionControlAttribute',
    'VersionControlDescriptor',
    'VersionControlManager',
    'VersionControlObject',
    'VersionControlUtils',
    'VersionsInfo',
    'VertexChannelCompressionFlags',
    'VerticalScope',
    'VideoBitrateMode',
    'VideoClipImporter',
    'VideoCodec',
    'VideoDeinterlaceMode',
    'VideoEncodeAspectRatio',
    'VideoEncodingProfile',
    'VideoImporterTargetSettings',
    'VideoResizeMode',
    'VideoSpatialQuality',
    'VideoTrackAttributes',
    'VideoTrackEncoderAttributes',
    'ViewModes',
    'ViewTool',
    'VirtualMachineInformation',
    'VisibleObjects',
    'VisionOS',
    'VisionOSSdkVersion',
    'VP8EncoderAttributes',
    'VRWindowsMixedReality',
    'WebGL',
    'WebGLCompressionFormat',
    'WebGLDebugSymbolMode',
    'WebGLExceptionSupport',
    'WebGLLinkerTarget',
    'WebGLMemoryGrowthMode',
    'WebGLPowerPreference',
    'WebGLTextureSubtarget',
    'WebGLWasmArithmeticExceptions',
    'WindowsGamepadBackendHint',
    'WriteCommand',
    'WriteManagerParameters',
    'WriteParameters',
    'WriteResult',
    'WriteSceneParameters',
    'WSA',
    'WSAApplicationForegroundText',
    'WSAApplicationShowName',
    'WSABuildAndRunDeployTarget',
    'WSABuildType',
    'WSACapability',
    'WSADefaultTileSize',
    'WSAFileTypeAssociations',
    'WSAImageScale',
    'WSAImageType',
    'WSAInputSource',
    'WSASubtarget',
    'WSASupportedFileType',
    'WSATargetFamily',
    'WSAUWPBuildType',
    'XboxBuildSubtarget',
    'XcodeBuildConfig',
    'XcScheme',
)


ASSET_CLASS_NAME_MAPPING = {
    UnityAssetClass.ActionOnDotNetUnhandledException: "ActionOnDotNetUnhandledException",
    UnityAssetClass.ActiveProfileChangedEventArgs: "ActiveProfileChangedEventArgs",
    UnityAssetClass.AddAndRemoveRequest: "AddAndRemoveRequest",
    UnityAssetClass.AddedComponent: "AddedComponent",
    UnityAssetClass.AddedGameObject: "AddedGameObject",
    UnityAssetClass.AddRequest: "AddRequest",
    UnityAssetClass.AdvancedDropdown: "AdvancedDropdown",
    UnityAssetClass.AdvancedDropdownItem: "AdvancedDropdownItem",
    UnityAssetClass.AdvancedDropdownState: "AdvancedDropdownState",
    UnityAssetClass.AdvancedObjectSelectorAttribute: "AdvancedObjectSelectorAttribute",
    UnityAssetClass.AdvancedObjectSelectorEventType: "AdvancedObjectSelectorEventType",
    UnityAssetClass.AdvancedObjectSelectorParameters: "AdvancedObjectSelectorParameters",
    UnityAssetClass.AdvancedObjectSelectorValidatorAttribute: "AdvancedObjectSelectorValidatorAttribute",
    UnityAssetClass.AdvertisementSettings: "AdvertisementSettings",
    UnityAssetClass.AlbedoSwatchInfo: "AlbedoSwatchInfo",
    UnityAssetClass.AnalyticsSettings: "AnalyticsSettings",
    UnityAssetClass.Android: "Android",
    UnityAssetClass.AndroidArchitecture: "AndroidArchitecture",
    UnityAssetClass.AndroidAssetPackImporter: "AndroidAssetPackImporter",
    UnityAssetClass.AndroidBlitType: "AndroidBlitType",
    UnityAssetClass.AndroidBuildSystem: "AndroidBuildSystem",
    UnityAssetClass.AndroidBuildType: "AndroidBuildType",
    UnityAssetClass.AndroidCreateSymbols: "AndroidCreateSymbols",
    UnityAssetClass.AndroidETC2Fallback: "AndroidETC2Fallback",
    UnityAssetClass.AndroidETC2FallbackOverride: "AndroidETC2FallbackOverride",
    UnityAssetClass.AndroidExternalToolsSettings: "AndroidExternalToolsSettings",
    UnityAssetClass.AndroidGamepadSupportLevel: "AndroidGamepadSupportLevel",
    UnityAssetClass.AndroidMinification: "AndroidMinification",
    UnityAssetClass.AndroidPlatformIconKind: "AndroidPlatformIconKind",
    UnityAssetClass.AndroidPreferredInstallLocation: "AndroidPreferredInstallLocation",
    UnityAssetClass.AndroidSdkVersions: "AndroidSdkVersions",
    UnityAssetClass.AndroidSharedLibraryType: "AndroidSharedLibraryType",
    UnityAssetClass.AndroidShowActivityIndicatorOnLoading: "AndroidShowActivityIndicatorOnLoading",
    UnityAssetClass.AndroidSplashScreenScale: "AndroidSplashScreenScale",
    UnityAssetClass.AndroidTargetDevice: "AndroidTargetDevice",
    UnityAssetClass.AndroidTargetDevices: "AndroidTargetDevices",
    UnityAssetClass.AnimationClipCurveData: "AnimationClipCurveData",
    UnityAssetClass.AnimationMode: "AnimationMode",
    UnityAssetClass.AnimationModeDriver: "AnimationModeDriver",
    UnityAssetClass.AnimationUtility: "AnimationUtility",
    UnityAssetClass.AnimationWindow: "AnimationWindow",
    UnityAssetClass.AnimatorCondition: "AnimatorCondition",
    UnityAssetClass.AnimatorConditionMode: "AnimatorConditionMode",
    UnityAssetClass.AnimatorController: "AnimatorController",
    UnityAssetClass.AnimatorControllerLayer: "AnimatorControllerLayer",
    UnityAssetClass.AnimatorLayerBlendingMode: "AnimatorLayerBlendingMode",
    UnityAssetClass.AnimatorState: "AnimatorState",
    UnityAssetClass.AnimatorStateMachine: "AnimatorStateMachine",
    UnityAssetClass.AnimatorStateTransition: "AnimatorStateTransition",
    UnityAssetClass.AnimatorTransition: "AnimatorTransition",
    UnityAssetClass.AnimatorTransitionBase: "AnimatorTransitionBase",
    UnityAssetClass.AnimBool: "AnimBool",
    UnityAssetClass.AnimFloat: "AnimFloat",
    UnityAssetClass.AnimQuaternion: "AnimQuaternion",
    UnityAssetClass.AnimVector3: "AnimVector3",
    UnityAssetClass.ApiCompatibilityLevel: "ApiCompatibilityLevel",
    UnityAssetClass.AppleMobileArchitecture: "AppleMobileArchitecture",
    UnityAssetClass.ApplyRulesIfGraphicsAPIAttribute: "ApplyRulesIfGraphicsAPIAttribute",
    UnityAssetClass.ApplyRulesIfNotGraphicsAPIAttribute: "ApplyRulesIfNotGraphicsAPIAttribute",
    UnityAssetClass.ApplyRulesIfTagsEqualAttribute: "ApplyRulesIfTagsEqualAttribute",
    UnityAssetClass.ApplyRulesIfTagsNotEqualAttribute: "ApplyRulesIfTagsNotEqualAttribute",
    UnityAssetClass.ArcHandle: "ArcHandle",
    UnityAssetClass.ArrayEntries_1: "ArrayEntries_1",
    UnityAssetClass.ArrayUtility: "ArrayUtility",
    UnityAssetClass.ArtifactID: "ArtifactID",
    UnityAssetClass.ArtifactKey: "ArtifactKey",
    UnityAssetClass.AscentCalculationMode: "AscentCalculationMode",
    UnityAssetClass.AskUser: "AskUser",
    UnityAssetClass.AssembliesType: "AssembliesType",
    UnityAssetClass.Assembly: "Assembly",
    UnityAssetClass.AssemblyBuilder: "AssemblyBuilder",
    UnityAssetClass.AssemblyBuilderFlags: "AssemblyBuilderFlags",
    UnityAssetClass.AssemblyBuilderStatus: "AssemblyBuilderStatus",
    UnityAssetClass.AssemblyDefinitionException: "AssemblyDefinitionException",
    UnityAssetClass.AssemblyDefinitionPlatform: "AssemblyDefinitionPlatform",
    UnityAssetClass.AssemblyDefinitionReferenceType: "AssemblyDefinitionReferenceType",
    UnityAssetClass.AssemblyFlags: "AssemblyFlags",
    UnityAssetClass.AssemblyReloadEvents: "AssemblyReloadEvents",
    UnityAssetClass.Asset: "Asset",
    UnityAssetClass.AssetBundleBuild: "AssetBundleBuild",
    UnityAssetClass.AssetBundleInfo: "AssetBundleInfo",
    UnityAssetClass.AssetDatabase: "AssetDatabase",
    UnityAssetClass.AssetDatabaseLoadOperation: "AssetDatabaseLoadOperation",
    UnityAssetClass.AssetDeleteResult: "AssetDeleteResult",
    UnityAssetClass.AssetImportContext: "AssetImportContext",
    UnityAssetClass.AssetImporter: "AssetImporter",
    UnityAssetClass.AssetImporterEditor: "AssetImporterEditor",
    UnityAssetClass.AssetIndexChangeSet: "AssetIndexChangeSet",
    UnityAssetClass.AssetList: "AssetList",
    UnityAssetClass.AssetLoadInfo: "AssetLoadInfo",
    UnityAssetClass.AssetModificationProcessor: "AssetModificationProcessor",
    UnityAssetClass.AssetMoveResult: "AssetMoveResult",
    UnityAssetClass.AssetPathToGUIDOptions: "AssetPathToGUIDOptions",
    UnityAssetClass.AssetPipelineMode: "AssetPipelineMode",
    UnityAssetClass.AssetPostprocessor: "AssetPostprocessor",
    UnityAssetClass.AssetPreview: "AssetPreview",
    UnityAssetClass.AssetSettingsProvider: "AssetSettingsProvider",
    UnityAssetClass.AtlasSettings: "AtlasSettings",
    UnityAssetClass.Attacher: "Attacher",
    UnityAssetClass.AudioCurveRendering: "AudioCurveRendering",
    UnityAssetClass.AudioImporter: "AudioImporter",
    UnityAssetClass.AudioImporterSampleSettings: "AudioImporterSampleSettings",
    UnityAssetClass.AudioSampleRateSetting: "AudioSampleRateSetting",
    UnityAssetClass.AudioTrackAttributes: "AudioTrackAttributes",
    UnityAssetClass.AuthorInfo: "AuthorInfo",
    UnityAssetClass.Axes: "Axes",
    UnityAssetClass.BackgroundModesOptions: "BackgroundModesOptions",
    UnityAssetClass.BaseAnimValue_1: "BaseAnimValue_1",
    UnityAssetClass.BaseAnimValueNonAlloc_1: "BaseAnimValueNonAlloc_1",
    UnityAssetClass.BaseMaskField_1: "BaseMaskField_1",
    UnityAssetClass.BindingExtensions: "BindingExtensions",
    UnityAssetClass.Blackboard: "Blackboard",
    UnityAssetClass.BlackboardField: "BlackboardField",
    UnityAssetClass.BlackboardRow: "BlackboardRow",
    UnityAssetClass.BlackboardSection: "BlackboardSection",
    UnityAssetClass.BlendTree: "BlendTree",
    UnityAssetClass.BlendTreeType: "BlendTreeType",
    UnityAssetClass.BoxBoundsHandle: "BoxBoundsHandle",
    UnityAssetClass.BrokenPrefabAsset: "BrokenPrefabAsset",
    UnityAssetClass.BrushGUIEditFlags: "BrushGUIEditFlags",
    UnityAssetClass.BuildAssetBundleOptions: "BuildAssetBundleOptions",
    UnityAssetClass.BuildAssetBundlesParameters: "BuildAssetBundlesParameters",
    UnityAssetClass.BuildCompression: "BuildCompression",
    UnityAssetClass.Builder: "Builder",
    UnityAssetClass.BuildFailedException: "BuildFailedException",
    UnityAssetClass.BuildFile: "BuildFile",
    UnityAssetClass.BuildMethodException: "BuildMethodException",
    UnityAssetClass.BuildOptions: "BuildOptions",
    UnityAssetClass.BuildPipeline: "BuildPipeline",
    UnityAssetClass.BuildPlayerContext: "BuildPlayerContext",
    UnityAssetClass.BuildPlayerOptions: "BuildPlayerOptions",
    UnityAssetClass.BuildPlayerProcessor: "BuildPlayerProcessor",
    UnityAssetClass.BuildPlayerWindow: "BuildPlayerWindow",
    UnityAssetClass.BuildReferenceMap: "BuildReferenceMap",
    UnityAssetClass.BuildReport: "BuildReport",
    UnityAssetClass.BuildResult: "BuildResult",
    UnityAssetClass.BuildSettings: "BuildSettings",
    UnityAssetClass.BuildStep: "BuildStep",
    UnityAssetClass.BuildStepMessage: "BuildStepMessage",
    UnityAssetClass.BuildSummary: "BuildSummary",
    UnityAssetClass.BuildTarget: "BuildTarget",
    UnityAssetClass.BuildTargetGroup: "BuildTargetGroup",
    UnityAssetClass.BuildUsageCache: "BuildUsageCache",
    UnityAssetClass.BuildUsageTagGlobal: "BuildUsageTagGlobal",
    UnityAssetClass.BuildUsageTagSet: "BuildUsageTagSet",
    UnityAssetClass.BuildUtilities: "BuildUtilities",
    UnityAssetClass.CacheServerConnectionChangedParameters: "CacheServerConnectionChangedParameters",
    UnityAssetClass.CacheServerMode: "CacheServerMode",
    UnityAssetClass.CacheServerValidationMode: "CacheServerValidationMode",
    UnityAssetClass.CallbackOrderAttribute: "CallbackOrderAttribute",
    UnityAssetClass.CameraDescription: "CameraDescription",
    UnityAssetClass.CameraEditor: "CameraEditor",
    UnityAssetClass.CameraEditorUtils: "CameraEditorUtils",
    UnityAssetClass.CameraMode: "CameraMode",
    UnityAssetClass.CameraProjectionCache: "CameraProjectionCache",
    UnityAssetClass.CameraSettings: "CameraSettings",
    UnityAssetClass.CanAppendBuild: "CanAppendBuild",
    UnityAssetClass.CanEditMultipleObjects: "CanEditMultipleObjects",
    UnityAssetClass.CanStartDragArgs: "CanStartDragArgs",
    UnityAssetClass.Capabilities: "Capabilities",
    UnityAssetClass.Capacity: "Capacity",
    UnityAssetClass.CapsuleBoundsHandle: "CapsuleBoundsHandle",
    UnityAssetClass.CellSizing: "CellSizing",
    UnityAssetClass.ChangeAssetObjectPropertiesEventArgs: "ChangeAssetObjectPropertiesEventArgs",
    UnityAssetClass.ChangeCheckScope: "ChangeCheckScope",
    UnityAssetClass.ChangeChildrenOrderEventArgs: "ChangeChildrenOrderEventArgs",
    UnityAssetClass.ChangeGameObjectOrComponentPropertiesEventArgs: "ChangeGameObjectOrComponentPropertiesEventArgs",
    UnityAssetClass.ChangeGameObjectParentEventArgs: "ChangeGameObjectParentEventArgs",
    UnityAssetClass.ChangeGameObjectStructureEventArgs: "ChangeGameObjectStructureEventArgs",
    UnityAssetClass.ChangeGameObjectStructureHierarchyEventArgs: "ChangeGameObjectStructureHierarchyEventArgs",
    UnityAssetClass.ChangeSceneEventArgs: "ChangeSceneEventArgs",
    UnityAssetClass.ChangeSet: "ChangeSet",
    UnityAssetClass.ChangeSets: "ChangeSets",
    UnityAssetClass.ChannelClient: "ChannelClient",
    UnityAssetClass.ChannelClientInfo: "ChannelClientInfo",
    UnityAssetClass.ChannelClientScope: "ChannelClientScope",
    UnityAssetClass.ChannelInfo: "ChannelInfo",
    UnityAssetClass.ChannelScope: "ChannelScope",
    UnityAssetClass.ChannelService: "ChannelService",
    UnityAssetClass.CheckoutMode: "CheckoutMode",
    UnityAssetClass.ChildAnimatorState: "ChildAnimatorState",
    UnityAssetClass.ChildAnimatorStateMachine: "ChildAnimatorStateMachine",
    UnityAssetClass.ChildMotion: "ChildMotion",
    UnityAssetClass.ClickSelector: "ClickSelector",
    UnityAssetClass.Client: "Client",
    UnityAssetClass.ClipAnimationInfoCurve: "ClipAnimationInfoCurve",
    UnityAssetClass.ClipAnimationMaskType: "ClipAnimationMaskType",
    UnityAssetClass.ClipboardUtility: "ClipboardUtility",
    UnityAssetClass.CloudProjectSettings: "CloudProjectSettings",
    UnityAssetClass.CloudProjectSettingsEventManager: "CloudProjectSettingsEventManager",
    UnityAssetClass.ClutchShortcutAttribute: "ClutchShortcutAttribute",
    UnityAssetClass.CodeOptimization: "CodeOptimization",
    UnityAssetClass.CollectImportedDependenciesAttribute: "CollectImportedDependenciesAttribute",
    UnityAssetClass.ColorField: "ColorField",
    UnityAssetClass.ColorPickerHDRConfig: "ColorPickerHDRConfig",
    UnityAssetClass.Column: "Column",
    UnityAssetClass.CommonRoles: "CommonRoles",
    UnityAssetClass.CompilationPipeline: "CompilationPipeline",
    UnityAssetClass.CompilerMessage: "CompilerMessage",
    UnityAssetClass.CompilerMessageType: "CompilerMessageType",
    UnityAssetClass.CompletionAction: "CompletionAction",
    UnityAssetClass.CompressionLevel: "CompressionLevel",
    UnityAssetClass.CompressionType: "CompressionType",
    UnityAssetClass.ComputeShaderImporter: "ComputeShaderImporter",
    UnityAssetClass.ConfigField: "ConfigField",
    UnityAssetClass.ConnectedPlayer: "ConnectedPlayer",
    UnityAssetClass.Connection: "Connection",
    UnityAssetClass.ConnectionEntries: "ConnectionEntries",
    UnityAssetClass.ConstantBufferInfo: "ConstantBufferInfo",
    UnityAssetClass.ConstantInfo: "ConstantInfo",
    UnityAssetClass.ContentBuildFlags: "ContentBuildFlags",
    UnityAssetClass.ContentBuildInterface: "ContentBuildInterface",
    UnityAssetClass.ContentBuildProfileEvent: "ContentBuildProfileEvent",
    UnityAssetClass.ContentDragger: "ContentDragger",
    UnityAssetClass.ContentZoomer: "ContentZoomer",
    UnityAssetClass.ConvertToPrefabInstanceSettings: "ConvertToPrefabInstanceSettings",
    UnityAssetClass.CoppaCompliance: "CoppaCompliance",
    UnityAssetClass.CoppaDrawer: "CoppaDrawer",
    UnityAssetClass.CrashReportingSettings: "CrashReportingSettings",
    UnityAssetClass.CreateAssetObjectEventArgs: "CreateAssetObjectEventArgs",
    UnityAssetClass.CreateGameObjectHierarchyEventArgs: "CreateGameObjectHierarchyEventArgs",
    UnityAssetClass.CurveField: "CurveField",
    UnityAssetClass.CurveFilterOptions: "CurveFilterOptions",
    UnityAssetClass.CurveModifiedType: "CurveModifiedType",
    UnityAssetClass.CustomEditor: "CustomEditor",
    UnityAssetClass.CustomEditorForRenderPipelineAttribute: "CustomEditorForRenderPipelineAttribute",
    UnityAssetClass.CustomObjectIndexerAttribute: "CustomObjectIndexerAttribute",
    UnityAssetClass.CustomObjectIndexerTarget: "CustomObjectIndexerTarget",
    UnityAssetClass.CustomPreviewAttribute: "CustomPreviewAttribute",
    UnityAssetClass.CustomPropertyDrawer: "CustomPropertyDrawer",
    UnityAssetClass.CycleDirection: "CycleDirection",
    UnityAssetClass.D3D11FullscreenMode: "D3D11FullscreenMode",
    UnityAssetClass.D3D9FullscreenMode: "D3D9FullscreenMode",
    UnityAssetClass.DataMode: "DataMode",
    UnityAssetClass.DataModeChangeEventArgs: "DataModeChangeEventArgs",
    UnityAssetClass.DataType: "DataType",
    UnityAssetClass.DDSImporter: "DDSImporter",
    UnityAssetClass.Declarations: "Declarations",
    UnityAssetClass.DecoratorDrawer: "DecoratorDrawer",
    UnityAssetClass.DefaultAsset: "DefaultAsset",
    UnityAssetClass.DefaultBuildMethods: "DefaultBuildMethods",
    UnityAssetClass.DefaultGUI: "DefaultGUI",
    UnityAssetClass.DefaultLightingExplorerExtension: "DefaultLightingExplorerExtension",
    UnityAssetClass.DefaultPreset: "DefaultPreset",
    UnityAssetClass.DefaultPresetSelectorReceiver: "DefaultPresetSelectorReceiver",
    UnityAssetClass.DefaultStyles: "DefaultStyles",
    UnityAssetClass.DenoiserType: "DenoiserType",
    UnityAssetClass.DependencyInfo: "DependencyInfo",
    UnityAssetClass.DependencyType: "DependencyType",
    UnityAssetClass.DepthBufferFormat: "DepthBufferFormat",
    UnityAssetClass.DestroyAssetObjectEventArgs: "DestroyAssetObjectEventArgs",
    UnityAssetClass.DestroyGameObjectHierarchyEventArgs: "DestroyGameObjectHierarchyEventArgs",
    UnityAssetClass.DetailBrushBounds: "DetailBrushBounds",
    UnityAssetClass.DetailBrushRepresentation: "DetailBrushRepresentation",
    UnityAssetClass.DeviceSimulator: "DeviceSimulator",
    UnityAssetClass.DeviceSimulatorPlugin: "DeviceSimulatorPlugin",
    UnityAssetClass.DialogOptOutDecisionType: "DialogOptOutDecisionType",
    UnityAssetClass.DidReloadScripts: "DidReloadScripts",
    UnityAssetClass.Direction: "Direction",
    UnityAssetClass.DisabledGroupScope: "DisabledGroupScope",
    UnityAssetClass.DisabledScope: "DisabledScope",
    UnityAssetClass.Dispatcher: "Dispatcher",
    UnityAssetClass.DisplayMode: "DisplayMode",
    UnityAssetClass.DockPosition: "DockPosition",
    UnityAssetClass.DockZone: "DockZone",
    UnityAssetClass.DragAndDrop: "DragAndDrop",
    UnityAssetClass.DragAndDropArgs: "DragAndDropArgs",
    UnityAssetClass.DragAndDropPosition: "DragAndDropPosition",
    UnityAssetClass.DragAndDropVisualMode: "DragAndDropVisualMode",
    UnityAssetClass.DragAndDropWindowTarget: "DragAndDropWindowTarget",
    UnityAssetClass.Dragger: "Dragger",
    UnityAssetClass.DrawCameraMode: "DrawCameraMode",
    UnityAssetClass.DrawGizmo: "DrawGizmo",
    UnityAssetClass.DrawingScope: "DrawingScope",
    UnityAssetClass.DrawMode: "DrawMode",
    UnityAssetClass.Edge: "Edge",
    UnityAssetClass.EdgeConnector: "EdgeConnector",
    UnityAssetClass.EdgeConnector_1: "EdgeConnector_1",
    UnityAssetClass.EdgeControl: "EdgeControl",
    UnityAssetClass.EdgeDragHelper: "EdgeDragHelper",
    UnityAssetClass.EdgeDragHelper_1: "EdgeDragHelper_1",
    UnityAssetClass.EdgeManipulator: "EdgeManipulator",
    UnityAssetClass.Editor: "Editor",
    UnityAssetClass.EditorAnalytics: "EditorAnalytics",
    UnityAssetClass.EditorAnalyticsSessionInfo: "EditorAnalyticsSessionInfo",
    UnityAssetClass.EditorApplication: "EditorApplication",
    UnityAssetClass.EditorBuildSettings: "EditorBuildSettings",
    UnityAssetClass.EditorBuildSettingsScene: "EditorBuildSettingsScene",
    UnityAssetClass.EditorCameraUtils: "EditorCameraUtils",
    UnityAssetClass.EditorConnection: "EditorConnection",
    UnityAssetClass.EditorCurveBinding: "EditorCurveBinding",
    UnityAssetClass.EditorGraphicsSettings: "EditorGraphicsSettings",
    UnityAssetClass.EditorGUI: "EditorGUI",
    UnityAssetClass.EditorGUILayout: "EditorGUILayout",
    UnityAssetClass.EditorGUIUtility: "EditorGUIUtility",
    UnityAssetClass.EditorJsonUtility: "EditorJsonUtility",
    UnityAssetClass.EditorPrefs: "EditorPrefs",
    UnityAssetClass.EditorSceneManager: "EditorSceneManager",
    UnityAssetClass.EditorSelectedRenderState: "EditorSelectedRenderState",
    UnityAssetClass.EditorSettings: "EditorSettings",
    UnityAssetClass.EditorSkin: "EditorSkin",
    UnityAssetClass.EditorSnapSettings: "EditorSnapSettings",
    UnityAssetClass.EditorStyles: "EditorStyles",
    UnityAssetClass.EditorTool: "EditorTool",
    UnityAssetClass.EditorToolAttribute: "EditorToolAttribute",
    UnityAssetClass.EditorToolbarButton: "EditorToolbarButton",
    UnityAssetClass.EditorToolbarDropdown: "EditorToolbarDropdown",
    UnityAssetClass.EditorToolbarDropdownToggle: "EditorToolbarDropdownToggle",
    UnityAssetClass.EditorToolbarElementAttribute: "EditorToolbarElementAttribute",
    UnityAssetClass.EditorToolbarToggle: "EditorToolbarToggle",
    UnityAssetClass.EditorToolbarUtility: "EditorToolbarUtility",
    UnityAssetClass.EditorToolContext: "EditorToolContext",
    UnityAssetClass.EditorToolContextAttribute: "EditorToolContextAttribute",
    UnityAssetClass.EditorUserBuildSettings: "EditorUserBuildSettings",
    UnityAssetClass.EditorUtility: "EditorUtility",
    UnityAssetClass.EditorWindow: "EditorWindow",
    UnityAssetClass.EditorWindowTitleAttribute: "EditorWindowTitleAttribute",
    UnityAssetClass.EditPrefabContentsScope: "EditPrefabContentsScope",
    UnityAssetClass.EmbedRequest: "EmbedRequest",
    UnityAssetClass.EnterPlayModeOptions: "EnterPlayModeOptions",
    UnityAssetClass.EntitlementGroupInfo: "EntitlementGroupInfo",
    UnityAssetClass.EntitlementInfo: "EntitlementInfo",
    UnityAssetClass.Enumerator: "Enumerator",
    UnityAssetClass.EnumFlagsField: "EnumFlagsField",
    UnityAssetClass.Error: "Error",
    UnityAssetClass.ErrorCode: "ErrorCode",
    UnityAssetClass.EvaluationMode: "EvaluationMode",
    UnityAssetClass.EventDataSerialization: "EventDataSerialization",
    UnityAssetClass.EventPropagation: "EventPropagation",
    UnityAssetClass.Events: "Events",
    UnityAssetClass.EventService: "EventService",
    UnityAssetClass.ExportPackageOptions: "ExportPackageOptions",
    UnityAssetClass.ExternalFileReference: "ExternalFileReference",
    UnityAssetClass.Facebook: "Facebook",
    UnityAssetClass.FadeGroupScope: "FadeGroupScope",
    UnityAssetClass.FBXMaterialDescriptionPreprocessor: "FBXMaterialDescriptionPreprocessor",
    UnityAssetClass.FetchPreviewOptions: "FetchPreviewOptions",
    UnityAssetClass.FieldDescription: "FieldDescription",
    UnityAssetClass.FieldDescriptionEntries: "FieldDescriptionEntries",
    UnityAssetClass.FieldInfoCollection: "FieldInfoCollection",
    UnityAssetClass.FileMode: "FileMode",
    UnityAssetClass.FilePathAttribute: "FilePathAttribute",
    UnityAssetClass.FileType: "FileType",
    UnityAssetClass.FileUtil: "FileUtil",
    UnityAssetClass.FilterAction: "FilterAction",
    UnityAssetClass.FilterAttribute: "FilterAttribute",
    UnityAssetClass.FilterMode: "FilterMode",
    UnityAssetClass.FilterType: "FilterType",
    UnityAssetClass.FilterWorkflow: "FilterWorkflow",
    UnityAssetClass.FlowEvent: "FlowEvent",
    UnityAssetClass.FontRenderingMode: "FontRenderingMode",
    UnityAssetClass.FontTextureCase: "FontTextureCase",
    UnityAssetClass.ForceReserializeAssetsOptions: "ForceReserializeAssetsOptions",
    UnityAssetClass.FrameCaptureMode: "FrameCaptureMode",
    UnityAssetClass.FrameDataView: "FrameDataView",
    UnityAssetClass.FrameType: "FrameType",
    UnityAssetClass.FreehandSelector: "FreehandSelector",
    UnityAssetClass.FuzzySearch: "FuzzySearch",
    UnityAssetClass.GameManagerDependencyInfo: "GameManagerDependencyInfo",
    UnityAssetClass.GameObjectRecorder: "GameObjectRecorder",
    UnityAssetClass.GameObjectToolContext: "GameObjectToolContext",
    UnityAssetClass.GameObjectUtility: "GameObjectUtility",
    UnityAssetClass.GCHandleEntries: "GCHandleEntries",
    UnityAssetClass.GenericMenu: "GenericMenu",
    UnityAssetClass.GfxResourceInfo: "GfxResourceInfo",
    UnityAssetClass.GitInfo: "GitInfo",
    UnityAssetClass.GIWorkflowMode: "GIWorkflowMode",
    UnityAssetClass.GizmoInfo: "GizmoInfo",
    UnityAssetClass.GizmoType: "GizmoType",
    UnityAssetClass.GizmoUtility: "GizmoUtility",
    UnityAssetClass.GlobalObjectId: "GlobalObjectId",
    UnityAssetClass.GradientField: "GradientField",
    UnityAssetClass.GraphElement: "GraphElement",
    UnityAssetClass.GraphElementScopeExtensions: "GraphElementScopeExtensions",
    UnityAssetClass.GraphicsAPIConstraintAttribute: "GraphicsAPIConstraintAttribute",
    UnityAssetClass.GraphicsJobMode: "GraphicsJobMode",
    UnityAssetClass.GraphView: "GraphView",
    UnityAssetClass.GraphViewBlackboardWindow: "GraphViewBlackboardWindow",
    UnityAssetClass.GraphViewChange: "GraphViewChange",
    UnityAssetClass.GraphViewEditorWindow: "GraphViewEditorWindow",
    UnityAssetClass.GraphViewMinimapWindow: "GraphViewMinimapWindow",
    UnityAssetClass.GraphViewToolWindow: "GraphViewToolWindow",
    UnityAssetClass.GridBackground: "GridBackground",
    UnityAssetClass.GridPalette: "GridPalette",
    UnityAssetClass.Group: "Group",
    UnityAssetClass.GUIDrawer: "GUIDrawer",
    UnityAssetClass.H264EncoderAttributes: "H264EncoderAttributes",
    UnityAssetClass.HandleDirection: "HandleDirection",
    UnityAssetClass.Handles: "Handles",
    UnityAssetClass.HandleUtility: "HandleUtility",
    UnityAssetClass.HeightAxis: "HeightAxis",
    UnityAssetClass.Help: "Help",
    UnityAssetClass.HierarchyDropFlags: "HierarchyDropFlags",
    UnityAssetClass.HierarchyFrameDataView: "HierarchyFrameDataView",
    UnityAssetClass.Highlighter: "Highlighter",
    UnityAssetClass.HighlightSearchMode: "HighlightSearchMode",
    UnityAssetClass.HorizontalScope: "HorizontalScope",
    UnityAssetClass.HyperLinkClickedEventArgs: "HyperLinkClickedEventArgs",
    UnityAssetClass.IAccessContainerWindow: "IAccessContainerWindow",
    UnityAssetClass.IActiveBuildTargetChanged: "IActiveBuildTargetChanged",
    UnityAssetClass.IApplyRevertPropertyContextMenuItemProvider: "IApplyRevertPropertyContextMenuItemProvider",
    UnityAssetClass.ICollectibleElement: "ICollectibleElement",
    UnityAssetClass.IconBadge: "IconBadge",
    UnityAssetClass.IconKind: "IconKind",
    UnityAssetClass.IconOverlayType: "IconOverlayType",
    UnityAssetClass.IconSizeScope: "IconSizeScope",
    UnityAssetClass.ICreateHorizontalToolbar: "ICreateHorizontalToolbar",
    UnityAssetClass.ICreateToolbar: "ICreateToolbar",
    UnityAssetClass.ICreateVerticalToolbar: "ICreateVerticalToolbar",
    UnityAssetClass.IDataModeController: "IDataModeController",
    UnityAssetClass.IDrawSelectedHandles: "IDrawSelectedHandles",
    UnityAssetClass.IDroppable: "IDroppable",
    UnityAssetClass.IDropTarget: "IDropTarget",
    UnityAssetClass.IEdgeConnectorListener: "IEdgeConnectorListener",
    UnityAssetClass.IFilterBuildAssemblies: "IFilterBuildAssemblies",
    UnityAssetClass.IFilterEngine_1: "IFilterEngine_1",
    UnityAssetClass.IFilterNode: "IFilterNode",
    UnityAssetClass.IHasCustomMenu: "IHasCustomMenu",
    UnityAssetClass.IHVImageFormatImporter: "IHVImageFormatImporter",
    UnityAssetClass.IIconOverlayExtension: "IIconOverlayExtension",
    UnityAssetClass.IIl2CppProcessor: "IIl2CppProcessor",
    UnityAssetClass.IInspectorWindowExtension: "IInspectorWindowExtension",
    UnityAssetClass.Il2CppBuildPipelineData: "Il2CppBuildPipelineData",
    UnityAssetClass.Il2CppCodeGeneration: "Il2CppCodeGeneration",
    UnityAssetClass.Il2CppCompilerConfiguration: "Il2CppCompilerConfiguration",
    UnityAssetClass.ILightingExplorerExtension: "ILightingExplorerExtension",
    UnityAssetClass.IMGUIOverlay: "IMGUIOverlay",
    UnityAssetClass.ImportAssetOptions: "ImportAssetOptions",
    UnityAssetClass.ImportLog: "ImportLog",
    UnityAssetClass.ImportLogEntry: "ImportLogEntry",
    UnityAssetClass.ImportLogFlags: "ImportLogFlags",
    UnityAssetClass.ImportOptions: "ImportOptions",
    UnityAssetClass.IndentLevelScope: "IndentLevelScope",
    UnityAssetClass.IndexingOptions: "IndexingOptions",
    UnityAssetClass.INestedQueryNode: "INestedQueryNode",
    UnityAssetClass.InitializeOnEnterPlayModeAttribute: "InitializeOnEnterPlayModeAttribute",
    UnityAssetClass.InitializeOnLoadAttribute: "InitializeOnLoadAttribute",
    UnityAssetClass.InitializeOnLoadMethodAttribute: "InitializeOnLoadMethodAttribute",
    UnityAssetClass.InsecureHttpOption: "InsecureHttpOption",
    UnityAssetClass.InspectorElement: "InspectorElement",
    UnityAssetClass.InstantiationResult: "InstantiationResult",
    UnityAssetClass.InteractionMode: "InteractionMode",
    UnityAssetClass.IObjectSelectorEngine: "IObjectSelectorEngine",
    UnityAssetClass.IOnInspectorGUI: "IOnInspectorGUI",
    UnityAssetClass.IOnPaint: "IOnPaint",
    UnityAssetClass.IOnSceneGUI: "IOnSceneGUI",
    UnityAssetClass.IOrderedCallback: "IOrderedCallback",
    UnityAssetClass.iOS: "iOS",
    UnityAssetClass.iOSAppInBackgroundBehavior: "iOSAppInBackgroundBehavior",
    UnityAssetClass.iOSBackgroundMode: "iOSBackgroundMode",
    UnityAssetClass.iOSBuildType: "iOSBuildType",
    UnityAssetClass.iOSDeviceRequirement: "iOSDeviceRequirement",
    UnityAssetClass.iOSLaunchScreenImageType: "iOSLaunchScreenImageType",
    UnityAssetClass.iOSLaunchScreenType: "iOSLaunchScreenType",
    UnityAssetClass.iOSPlatformIconKind: "iOSPlatformIconKind",
    UnityAssetClass.iOSSdkVersion: "iOSSdkVersion",
    UnityAssetClass.iOSShowActivityIndicatorOnLoading: "iOSShowActivityIndicatorOnLoading",
    UnityAssetClass.iOSStatusBarStyle: "iOSStatusBarStyle",
    UnityAssetClass.iOSTargetDevice: "iOSTargetDevice",
    UnityAssetClass.iOSTargetOSVersion: "iOSTargetOSVersion",
    UnityAssetClass.IPackageManagerExtension: "IPackageManagerExtension",
    UnityAssetClass.IPopupMenuExtension: "IPopupMenuExtension",
    UnityAssetClass.IPostBuildPlayerScriptDLLs: "IPostBuildPlayerScriptDLLs",
    UnityAssetClass.IPostGenerateGradleAndroidProject: "IPostGenerateGradleAndroidProject",
    UnityAssetClass.IPostprocessBuild: "IPostprocessBuild",
    UnityAssetClass.IPostprocessBuildWithReport: "IPostprocessBuildWithReport",
    UnityAssetClass.IPreprocessBuild: "IPreprocessBuild",
    UnityAssetClass.IPreprocessBuildWithReport: "IPreprocessBuildWithReport",
    UnityAssetClass.IPreprocessComputeShaders: "IPreprocessComputeShaders",
    UnityAssetClass.IPreprocessShaders: "IPreprocessShaders",
    UnityAssetClass.IProcessScene: "IProcessScene",
    UnityAssetClass.IProcessSceneWithReport: "IProcessSceneWithReport",
    UnityAssetClass.IProfilerFrameTimeViewSampleSelectionController: "IProfilerFrameTimeViewSampleSelectionController",
    UnityAssetClass.IProjectEditorDrawer: "IProjectEditorDrawer",
    UnityAssetClass.IProjectSearchEngine: "IProjectSearchEngine",
    UnityAssetClass.IPropertyDatabaseRecord: "IPropertyDatabaseRecord",
    UnityAssetClass.IPropertyDatabaseRecordValue: "IPropertyDatabaseRecordValue",
    UnityAssetClass.IPropertyDatabaseView: "IPropertyDatabaseView",
    UnityAssetClass.IQueryEngineFilter: "IQueryEngineFilter",
    UnityAssetClass.IQueryHandler_2: "IQueryHandler_2",
    UnityAssetClass.IQueryHandlerFactory_3: "IQueryHandlerFactory_3",
    UnityAssetClass.IQueryNode: "IQueryNode",
    UnityAssetClass.IQuerySource: "IQuerySource",
    UnityAssetClass.IResizable: "IResizable",
    UnityAssetClass.ISceneSearchEngine: "ISceneSearchEngine",
    UnityAssetClass.ISceneTemplatePipeline: "ISceneTemplatePipeline",
    UnityAssetClass.IScriptableBakedReflectionSystem: "IScriptableBakedReflectionSystem",
    UnityAssetClass.IScriptableBakedReflectionSystemStageNotifier: "IScriptableBakedReflectionSystemStageNotifier",
    UnityAssetClass.ISearchContext: "ISearchContext",
    UnityAssetClass.ISearchDatabase: "ISearchDatabase",
    UnityAssetClass.ISearchEngine_1: "ISearchEngine_1",
    UnityAssetClass.ISearchEngineBase: "ISearchEngineBase",
    UnityAssetClass.ISearchList: "ISearchList",
    UnityAssetClass.ISearchNode: "ISearchNode",
    UnityAssetClass.ISearchQuery: "ISearchQuery",
    UnityAssetClass.ISearchView: "ISearchView",
    UnityAssetClass.ISearchWindowProvider: "ISearchWindowProvider",
    UnityAssetClass.ISelectable: "ISelectable",
    UnityAssetClass.ISelection: "ISelection",
    UnityAssetClass.ISelectorEngine: "ISelectorEngine",
    UnityAssetClass.ISettingsInspectorExtension: "ISettingsInspectorExtension",
    UnityAssetClass.IShortcutManager: "IShortcutManager",
    UnityAssetClass.IShouldIncludeInBuildCallback: "IShouldIncludeInBuildCallback",
    UnityAssetClass.ISupportsOverlays: "ISupportsOverlays",
    UnityAssetClass.ITableView: "ITableView",
    UnityAssetClass.Item: "Item",
    UnityAssetClass.ItemSelectors: "ItemSelectors",
    UnityAssetClass.ITerrainLayerCustomUI: "ITerrainLayerCustomUI",
    UnityAssetClass.IToolbarMenuElement: "IToolbarMenuElement",
    UnityAssetClass.ITransientOverlay: "ITransientOverlay",
    UnityAssetClass.IUnityLinkerProcessor: "IUnityLinkerProcessor",
    UnityAssetClass.JointAngularLimitHandle: "JointAngularLimitHandle",
    UnityAssetClass.KeyCombination: "KeyCombination",
    UnityAssetClass.L10n: "L10n",
    UnityAssetClass.Layer: "Layer",
    UnityAssetClass.LayerField: "LayerField",
    UnityAssetClass.LayerMaskField: "LayerMaskField",
    UnityAssetClass.Layout: "Layout",
    UnityAssetClass.LicensingUtility: "LicensingUtility",
    UnityAssetClass.LightDescription: "LightDescription",
    UnityAssetClass.LightEditor: "LightEditor",
    UnityAssetClass.LightingDataAsset: "LightingDataAsset",
    UnityAssetClass.LightingExplorerExtensionAttribute: "LightingExplorerExtensionAttribute",
    UnityAssetClass.LightingExplorerTab: "LightingExplorerTab",
    UnityAssetClass.LightingExplorerTableColumn: "LightingExplorerTableColumn",
    UnityAssetClass.LightingWindowEnvironmentSection: "LightingWindowEnvironmentSection",
    UnityAssetClass.LightmapBakeQuality: "LightmapBakeQuality",
    UnityAssetClass.LightmapEditorSettings: "LightmapEditorSettings",
    UnityAssetClass.LightmapParameters: "LightmapParameters",
    UnityAssetClass.Lightmapper: "Lightmapper",
    UnityAssetClass.Lightmapping: "Lightmapping",
    UnityAssetClass.LineEndingsMode: "LineEndingsMode",
    UnityAssetClass.ListRequest: "ListRequest",
    UnityAssetClass.LocalizationAttribute: "LocalizationAttribute",
    UnityAssetClass.LocalizationGroup: "LocalizationGroup",
    UnityAssetClass.Location: "Location",
    UnityAssetClass.LODUtility: "LODUtility",
    UnityAssetClass.LogLevel: "LogLevel",
    UnityAssetClass.MacFullscreenMode: "MacFullscreenMode",
    UnityAssetClass.MainStage: "MainStage",
    UnityAssetClass.ManagedDebugger: "ManagedDebugger",
    UnityAssetClass.ManagedMemorySectionEntries: "ManagedMemorySectionEntries",
    UnityAssetClass.ManagedReferenceMissingType: "ManagedReferenceMissingType",
    UnityAssetClass.ManagedStrippingLevel: "ManagedStrippingLevel",
    UnityAssetClass.MapsOptions: "MapsOptions",
    UnityAssetClass.MarkerInfo: "MarkerInfo",
    UnityAssetClass.MarkerMetadataInfo: "MarkerMetadataInfo",
    UnityAssetClass.MaskField: "MaskField",
    UnityAssetClass.MaterialDescription: "MaterialDescription",
    UnityAssetClass.MaterialEditor: "MaterialEditor",
    UnityAssetClass.MaterialEditorExtensions: "MaterialEditorExtensions",
    UnityAssetClass.MaterialLocation: "MaterialLocation",
    UnityAssetClass.MaterialProperty: "MaterialProperty",
    UnityAssetClass.MaterialPropertyDrawer: "MaterialPropertyDrawer",
    UnityAssetClass.MediaEncoder: "MediaEncoder",
    UnityAssetClass.MediaRational: "MediaRational",
    UnityAssetClass.MediaTime: "MediaTime",
    UnityAssetClass.MemorySection: "MemorySection",
    UnityAssetClass.MemorySnapshot: "MemorySnapshot",
    UnityAssetClass.Menu: "Menu",
    UnityAssetClass.MenuCommand: "MenuCommand",
    UnityAssetClass.MenuItem: "MenuItem",
    UnityAssetClass.MergeMethod: "MergeMethod",
    UnityAssetClass.MeshColliderType: "MeshColliderType",
    UnityAssetClass.MeshOptimizationFlags: "MeshOptimizationFlags",
    UnityAssetClass.MeshPreview: "MeshPreview",
    UnityAssetClass.MeshUtility: "MeshUtility",
    UnityAssetClass.Message: "Message",
    UnityAssetClass.MessageType: "MessageType",
    UnityAssetClass.MetalValidation: "MetalValidation",
    UnityAssetClass.MethodCollection: "MethodCollection",
    UnityAssetClass.MethodInfo: "MethodInfo",
    UnityAssetClass.MiniMap: "MiniMap",
    UnityAssetClass.MinSizePolicy: "MinSizePolicy",
    UnityAssetClass.MobileTextureSubtarget: "MobileTextureSubtarget",
    UnityAssetClass.Mode: "Mode",
    UnityAssetClass.ModelImporter: "ModelImporter",
    UnityAssetClass.ModelImporterAnimationCompression: "ModelImporterAnimationCompression",
    UnityAssetClass.ModelImporterAnimationType: "ModelImporterAnimationType",
    UnityAssetClass.ModelImporterAvatarSetup: "ModelImporterAvatarSetup",
    UnityAssetClass.ModelImporterClipAnimation: "ModelImporterClipAnimation",
    UnityAssetClass.ModelImporterGenerateAnimations: "ModelImporterGenerateAnimations",
    UnityAssetClass.ModelImporterGenerateMaterials: "ModelImporterGenerateMaterials",
    UnityAssetClass.ModelImporterHumanoidOversampling: "ModelImporterHumanoidOversampling",
    UnityAssetClass.ModelImporterIndexFormat: "ModelImporterIndexFormat",
    UnityAssetClass.ModelImporterMaterialImportMode: "ModelImporterMaterialImportMode",
    UnityAssetClass.ModelImporterMaterialLocation: "ModelImporterMaterialLocation",
    UnityAssetClass.ModelImporterMaterialName: "ModelImporterMaterialName",
    UnityAssetClass.ModelImporterMaterialSearch: "ModelImporterMaterialSearch",
    UnityAssetClass.ModelImporterMeshCompression: "ModelImporterMeshCompression",
    UnityAssetClass.ModelImporterNormalCalculationMode: "ModelImporterNormalCalculationMode",
    UnityAssetClass.ModelImporterNormals: "ModelImporterNormals",
    UnityAssetClass.ModelImporterNormalSmoothingSource: "ModelImporterNormalSmoothingSource",
    UnityAssetClass.ModelImporterSecondaryUVMarginMethod: "ModelImporterSecondaryUVMarginMethod",
    UnityAssetClass.ModelImporterSkinWeights: "ModelImporterSkinWeights",
    UnityAssetClass.ModelImporterTangents: "ModelImporterTangents",
    UnityAssetClass.ModelImporterTangentSpaceMode: "ModelImporterTangentSpaceMode",
    UnityAssetClass.MonoImporter: "MonoImporter",
    UnityAssetClass.MonoScript: "MonoScript",
    UnityAssetClass.MouseCursor: "MouseCursor",
    UnityAssetClass.MultiColumnHeader: "MultiColumnHeader",
    UnityAssetClass.MultiColumnHeaderState: "MultiColumnHeaderState",
    UnityAssetClass.NamedBuildTarget: "NamedBuildTarget",
    UnityAssetClass.NamingScheme: "NamingScheme",
    UnityAssetClass.NativeAllocationEntries: "NativeAllocationEntries",
    UnityAssetClass.NativeAllocationSiteEntries: "NativeAllocationSiteEntries",
    UnityAssetClass.NativeCallstackSymbolEntries: "NativeCallstackSymbolEntries",
    UnityAssetClass.NativeMemoryLabelEntries: "NativeMemoryLabelEntries",
    UnityAssetClass.NativeMemoryRegionEntries: "NativeMemoryRegionEntries",
    UnityAssetClass.NativeObjectEntries: "NativeObjectEntries",
    UnityAssetClass.NativeRootReferenceEntries: "NativeRootReferenceEntries",
    UnityAssetClass.NativeTypeEntries: "NativeTypeEntries",
    UnityAssetClass.NavMeshEditorHelpers: "NavMeshEditorHelpers",
    UnityAssetClass.NavMeshVisualizationSettings: "NavMeshVisualizationSettings",
    UnityAssetClass.NewSceneMode: "NewSceneMode",
    UnityAssetClass.NewSceneSetup: "NewSceneSetup",
    UnityAssetClass.Node: "Node",
    UnityAssetClass.NodeCreationContext: "NodeCreationContext",
    UnityAssetClass.NormalMapEncoding: "NormalMapEncoding",
    UnityAssetClass.ObjectChangeEvents: "ObjectChangeEvents",
    UnityAssetClass.ObjectChangeEventStream: "ObjectChangeEventStream",
    UnityAssetClass.ObjectChangeKind: "ObjectChangeKind",
    UnityAssetClass.ObjectFactory: "ObjectFactory",
    UnityAssetClass.ObjectField: "ObjectField",
    UnityAssetClass.ObjectFlags: "ObjectFlags",
    UnityAssetClass.ObjectFlagsExtensions: "ObjectFlagsExtensions",
    UnityAssetClass.ObjectIdentifier: "ObjectIdentifier",
    UnityAssetClass.ObjectIndexer: "ObjectIndexer",
    UnityAssetClass.ObjectMatchMode: "ObjectMatchMode",
    UnityAssetClass.ObjectNames: "ObjectNames",
    UnityAssetClass.ObjectOverride: "ObjectOverride",
    UnityAssetClass.ObjectPreview: "ObjectPreview",
    UnityAssetClass.ObjectSelector: "ObjectSelector",
    UnityAssetClass.ObjectSelectorEngineAttribute: "ObjectSelectorEngineAttribute",
    UnityAssetClass.ObjectSelectorHandlerAttribute: "ObjectSelectorHandlerAttribute",
    UnityAssetClass.ObjectSelectorSearch: "ObjectSelectorSearch",
    UnityAssetClass.ObjectSelectorSearchContext: "ObjectSelectorSearchContext",
    UnityAssetClass.ObjectSelectorTargetInfo: "ObjectSelectorTargetInfo",
    UnityAssetClass.ObjectSerializedInfo: "ObjectSerializedInfo",
    UnityAssetClass.OnlineState: "OnlineState",
    UnityAssetClass.OnOpenAssetAttributeMode: "OnOpenAssetAttributeMode",
    UnityAssetClass.OpenSceneMode: "OpenSceneMode",
    UnityAssetClass.Options: "Options",
    UnityAssetClass.Orientation: "Orientation",
    UnityAssetClass.OSArchitecture: "OSArchitecture",
    UnityAssetClass.Overlay: "Overlay",
    UnityAssetClass.OverlayAttribute: "OverlayAttribute",
    UnityAssetClass.OverlayCanvas: "OverlayCanvas",
    UnityAssetClass.OverlayToolbar: "OverlayToolbar",
    UnityAssetClass.OverrideTextureCompression: "OverrideTextureCompression",
    UnityAssetClass.PackageCollection: "PackageCollection",
    UnityAssetClass.PackageInfo: "PackageInfo",
    UnityAssetClass.PackageManagerExtensions: "PackageManagerExtensions",
    UnityAssetClass.PackageRegistrationEventArgs: "PackageRegistrationEventArgs",
    UnityAssetClass.PackageSource: "PackageSource",
    UnityAssetClass.PackedAssetInfo: "PackedAssetInfo",
    UnityAssetClass.PackedAssets: "PackedAssets",
    UnityAssetClass.PackedGCHandle: "PackedGCHandle",
    UnityAssetClass.PackedMemorySnapshot: "PackedMemorySnapshot",
    UnityAssetClass.PackedNativeType: "PackedNativeType",
    UnityAssetClass.PackedNativeUnityEngineObject: "PackedNativeUnityEngineObject",
    UnityAssetClass.Packer: "Packer",
    UnityAssetClass.PackerJob: "PackerJob",
    UnityAssetClass.PackOperationResult: "PackOperationResult",
    UnityAssetClass.PackRequest: "PackRequest",
    UnityAssetClass.PaintDetailsToolUtility: "PaintDetailsToolUtility",
    UnityAssetClass.PaintTreesDetailsContext: "PaintTreesDetailsContext",
    UnityAssetClass.ParsedQuery_1: "ParsedQuery_1",
    UnityAssetClass.ParsedQuery_2: "ParsedQuery_2",
    UnityAssetClass.ParseResult_1: "ParseResult_1",
    UnityAssetClass.Pass: "Pass",
    UnityAssetClass.PauseState: "PauseState",
    UnityAssetClass.PBXCapabilityType: "PBXCapabilityType",
    UnityAssetClass.PBXProject: "PBXProject",
    UnityAssetClass.PBXProjectExtensions: "PBXProjectExtensions",
    UnityAssetClass.PBXSourceTree: "PBXSourceTree",
    UnityAssetClass.PerformanceReportingSettings: "PerformanceReportingSettings",
    UnityAssetClass.PhysicsDebugWindow: "PhysicsDebugWindow",
    UnityAssetClass.PhysicsVisualizationSettings: "PhysicsVisualizationSettings",
    UnityAssetClass.PickingIncludeExcludeList: "PickingIncludeExcludeList",
    UnityAssetClass.Pill: "Pill",
    UnityAssetClass.PivotMode: "PivotMode",
    UnityAssetClass.PivotRotation: "PivotRotation",
    UnityAssetClass.Placemat: "Placemat",
    UnityAssetClass.PlacematContainer: "PlacematContainer",
    UnityAssetClass.PlatformIcon: "PlatformIcon",
    UnityAssetClass.PlatformIconKind: "PlatformIconKind",
    UnityAssetClass.PlatformShaderSettings: "PlatformShaderSettings",
    UnityAssetClass.PlayableOutputEditorExtensions: "PlayableOutputEditorExtensions",
    UnityAssetClass.PlayerBuildInterface: "PlayerBuildInterface",
    UnityAssetClass.PlayerConnectionGUI: "PlayerConnectionGUI",
    UnityAssetClass.PlayerConnectionGUILayout: "PlayerConnectionGUILayout",
    UnityAssetClass.PlayerConnectionGUIUtility: "PlayerConnectionGUIUtility",
    UnityAssetClass.PlayerConnectionInitiateMode: "PlayerConnectionInitiateMode",
    UnityAssetClass.PlayerSettings: "PlayerSettings",
    UnityAssetClass.PlayModeStateChange: "PlayModeStateChange",
    UnityAssetClass.PlayModeViewTypes: "PlayModeViewTypes",
    UnityAssetClass.PlayModeWindow: "PlayModeWindow",
    UnityAssetClass.PlistDocument: "PlistDocument",
    UnityAssetClass.PlistElement: "PlistElement",
    UnityAssetClass.PlistElementArray: "PlistElementArray",
    UnityAssetClass.PlistElementBoolean: "PlistElementBoolean",
    UnityAssetClass.PlistElementDate: "PlistElementDate",
    UnityAssetClass.PlistElementDict: "PlistElementDict",
    UnityAssetClass.PlistElementInteger: "PlistElementInteger",
    UnityAssetClass.PlistElementReal: "PlistElementReal",
    UnityAssetClass.PlistElementString: "PlistElementString",
    UnityAssetClass.Plugin: "Plugin",
    UnityAssetClass.PluginImporter: "PluginImporter",
    UnityAssetClass.PopupWindow: "PopupWindow",
    UnityAssetClass.PopupWindowContent: "PopupWindowContent",
    UnityAssetClass.Port: "Port",
    UnityAssetClass.PortSource_1: "PortSource_1",
    UnityAssetClass.PositionHandleIds: "PositionHandleIds",
    UnityAssetClass.PostProcessBuildAttribute: "PostProcessBuildAttribute",
    UnityAssetClass.PostProcessSceneAttribute: "PostProcessSceneAttribute",
    UnityAssetClass.Precedence: "Precedence",
    UnityAssetClass.PrecompiledAssemblyException: "PrecompiledAssemblyException",
    UnityAssetClass.PrecompiledAssemblySources: "PrecompiledAssemblySources",
    UnityAssetClass.PrefabAssetType: "PrefabAssetType",
    UnityAssetClass.PrefabInstanceStatus: "PrefabInstanceStatus",
    UnityAssetClass.PrefabOverride: "PrefabOverride",
    UnityAssetClass.PrefabOverridesOptions: "PrefabOverridesOptions",
    UnityAssetClass.PrefabReplacingSettings: "PrefabReplacingSettings",
    UnityAssetClass.PrefabStage: "PrefabStage",
    UnityAssetClass.PrefabStageUtility: "PrefabStageUtility",
    UnityAssetClass.PrefabType: "PrefabType",
    UnityAssetClass.PrefabUnpackMode: "PrefabUnpackMode",
    UnityAssetClass.PrefabUtility: "PrefabUtility",
    UnityAssetClass.PreferenceItem: "PreferenceItem",
    UnityAssetClass.PreloadInfo: "PreloadInfo",
    UnityAssetClass.PreprocessedVariant: "PreprocessedVariant",
    UnityAssetClass.PreprocessorOverride: "PreprocessorOverride",
    UnityAssetClass.Preset: "Preset",
    UnityAssetClass.PresetSelector: "PresetSelector",
    UnityAssetClass.PresetSelectorReceiver: "PresetSelectorReceiver",
    UnityAssetClass.PresetType: "PresetType",
    UnityAssetClass.PreviewSceneStage: "PreviewSceneStage",
    UnityAssetClass.PrimitiveBoundsHandle: "PrimitiveBoundsHandle",
    UnityAssetClass.Priority: "Priority",
    UnityAssetClass.ProcessEvent: "ProcessEvent",
    UnityAssetClass.ProcessLevel: "ProcessLevel",
    UnityAssetClass.ProcessService: "ProcessService",
    UnityAssetClass.ProcessState: "ProcessState",
    UnityAssetClass.ProfileCaptureOptions: "ProfileCaptureOptions",
    UnityAssetClass.ProfileEventType: "ProfileEventType",
    UnityAssetClass.ProfilerCategoryInfo: "ProfilerCategoryInfo",
    UnityAssetClass.ProfilerEditorUtility: "ProfilerEditorUtility",
    UnityAssetClass.ProfilerTimeSampleSelection: "ProfilerTimeSampleSelection",
    UnityAssetClass.ProfilerWindow: "ProfilerWindow",
    UnityAssetClass.Progress: "Progress",
    UnityAssetClass.Project: "Project",
    UnityAssetClass.ProjectBindDrawer: "ProjectBindDrawer",
    UnityAssetClass.ProjectCapabilityManager: "ProjectCapabilityManager",
    UnityAssetClass.ProjectSearch: "ProjectSearch",
    UnityAssetClass.ProjectSearchContext: "ProjectSearchContext",
    UnityAssetClass.ProjectSearchEngineAttribute: "ProjectSearchEngineAttribute",
    UnityAssetClass.PropertyCallbackScope: "PropertyCallbackScope",
    UnityAssetClass.PropertyDatabase: "PropertyDatabase",
    UnityAssetClass.PropertyDatabaseRecordKey: "PropertyDatabaseRecordKey",
    UnityAssetClass.PropertyDatabaseType: "PropertyDatabaseType",
    UnityAssetClass.PropertyDrawer: "PropertyDrawer",
    UnityAssetClass.PropertyField: "PropertyField",
    UnityAssetClass.PropertyModification: "PropertyModification",
    UnityAssetClass.PropertyScope: "PropertyScope",
    UnityAssetClass.PropertyTable: "PropertyTable",
    UnityAssetClass.PropertyVisibility: "PropertyVisibility",
    UnityAssetClass.PropFlags: "PropFlags",
    UnityAssetClass.PropType: "PropType",
    UnityAssetClass.Provider: "Provider",
    UnityAssetClass.ProvisioningProfileType: "ProvisioningProfileType",
    UnityAssetClass.PurchasingSettings: "PurchasingSettings",
    UnityAssetClass.QueryBlock: "QueryBlock",
    UnityAssetClass.QueryEngine: "QueryEngine",
    UnityAssetClass.QueryEngine_1: "QueryEngine_1",
    UnityAssetClass.QueryEngineFilterAttribute: "QueryEngineFilterAttribute",
    UnityAssetClass.QueryEngineParameterTransformerAttribute: "QueryEngineParameterTransformerAttribute",
    UnityAssetClass.QueryError: "QueryError",
    UnityAssetClass.QueryFilter: "QueryFilter",
    UnityAssetClass.QueryFilterOperator: "QueryFilterOperator",
    UnityAssetClass.QueryGraph: "QueryGraph",
    UnityAssetClass.QueryGraphOptimizationOptions: "QueryGraphOptimizationOptions",
    UnityAssetClass.QueryListBlock: "QueryListBlock",
    UnityAssetClass.QueryListBlockAttribute: "QueryListBlockAttribute",
    UnityAssetClass.QueryNodeType: "QueryNodeType",
    UnityAssetClass.QueryToken: "QueryToken",
    UnityAssetClass.QueryValidationOptions: "QueryValidationOptions",
    UnityAssetClass.RawFrameDataView: "RawFrameDataView",
    UnityAssetClass.RectangleSelector: "RectangleSelector",
    UnityAssetClass.RectUtils: "RectUtils",
    UnityAssetClass.ReferencesOptions: "ReferencesOptions",
    UnityAssetClass.RefreshFlags: "RefreshFlags",
    UnityAssetClass.RefreshImportMode: "RefreshImportMode",
    UnityAssetClass.RegistryInfo: "RegistryInfo",
    UnityAssetClass.RemoveAssetOptions: "RemoveAssetOptions",
    UnityAssetClass.RemovedComponent: "RemovedComponent",
    UnityAssetClass.RemovedGameObject: "RemovedGameObject",
    UnityAssetClass.RemoveIfAttribute: "RemoveIfAttribute",
    UnityAssetClass.RemoveIfNotAttribute: "RemoveIfNotAttribute",
    UnityAssetClass.RemoveOrSelectAttribute: "RemoveOrSelectAttribute",
    UnityAssetClass.RemoveRequest: "RemoveRequest",
    UnityAssetClass.RenameEndedArgs: "RenameEndedArgs",
    UnityAssetClass.RenderMode: "RenderMode",
    UnityAssetClass.RenderPipelineEditorUtility: "RenderPipelineEditorUtility",
    UnityAssetClass.RenderSettings: "RenderSettings",
    UnityAssetClass.RepaintFlags: "RepaintFlags",
    UnityAssetClass.ReplacePrefabOptions: "ReplacePrefabOptions",
    UnityAssetClass.RepositoryInfo: "RepositoryInfo",
    UnityAssetClass.Request: "Request",
    UnityAssetClass.Request_1: "Request_1",
    UnityAssetClass.RequestScriptCompilationOptions: "RequestScriptCompilationOptions",
    UnityAssetClass.ResetToEditorDefaultsRequest: "ResetToEditorDefaultsRequest",
    UnityAssetClass.ResizableElement: "ResizableElement",
    UnityAssetClass.Resizer: "Resizer",
    UnityAssetClass.ResizerDirection: "ResizerDirection",
    UnityAssetClass.ResolutionDialogSetting: "ResolutionDialogSetting",
    UnityAssetClass.ResolveMethod: "ResolveMethod",
    UnityAssetClass.ResourceFile: "ResourceFile",
    UnityAssetClass.ResponseFileData: "ResponseFileData",
    UnityAssetClass.RevertMode: "RevertMode",
    UnityAssetClass.RoleProviderAttribute: "RoleProviderAttribute",
    UnityAssetClass.RotationHandleIds: "RotationHandleIds",
    UnityAssetClass.RowGUIArgs: "RowGUIArgs",
    UnityAssetClass.RunAfterAssemblyAttribute: "RunAfterAssemblyAttribute",
    UnityAssetClass.RunAfterClassAttribute: "RunAfterClassAttribute",
    UnityAssetClass.RunAfterPackageAttribute: "RunAfterPackageAttribute",
    UnityAssetClass.RunBeforeAssemblyAttribute: "RunBeforeAssemblyAttribute",
    UnityAssetClass.RunBeforeClassAttribute: "RunBeforeClassAttribute",
    UnityAssetClass.RunBeforePackageAttribute: "RunBeforePackageAttribute",
    UnityAssetClass.Sample: "Sample",
    UnityAssetClass.Sampling: "Sampling",
    UnityAssetClass.Scene: "Scene",
    UnityAssetClass.SceneAsset: "SceneAsset",
    UnityAssetClass.SceneBundleInfo: "SceneBundleInfo",
    UnityAssetClass.SceneCullingMasks: "SceneCullingMasks",
    UnityAssetClass.SceneDependencyInfo: "SceneDependencyInfo",
    UnityAssetClass.SceneLoadInfo: "SceneLoadInfo",
    UnityAssetClass.SceneQueryEngineFilterAttribute: "SceneQueryEngineFilterAttribute",
    UnityAssetClass.SceneQueryEngineParameterTransformerAttribute: "SceneQueryEngineParameterTransformerAttribute",
    UnityAssetClass.SceneSearch: "SceneSearch",
    UnityAssetClass.SceneSearchContext: "SceneSearchContext",
    UnityAssetClass.SceneSearchEngineAttribute: "SceneSearchEngineAttribute",
    UnityAssetClass.SceneSetup: "SceneSetup",
    UnityAssetClass.SceneStateHash: "SceneStateHash",
    UnityAssetClass.ScenesUsingAsset: "ScenesUsingAsset",
    UnityAssetClass.ScenesUsingAssets: "ScenesUsingAssets",
    UnityAssetClass.SceneTemplateAsset: "SceneTemplateAsset",
    UnityAssetClass.SceneTemplatePipelineAdapter: "SceneTemplatePipelineAdapter",
    UnityAssetClass.SceneTemplateService: "SceneTemplateService",
    UnityAssetClass.SceneView: "SceneView",
    UnityAssetClass.SceneViewCameraWindow: "SceneViewCameraWindow",
    UnityAssetClass.SceneViewState: "SceneViewState",
    UnityAssetClass.SceneVisibilityManager: "SceneVisibilityManager",
    UnityAssetClass.Scope: "Scope",
    UnityAssetClass.ScriptableBakedReflectionSystem: "ScriptableBakedReflectionSystem",
    UnityAssetClass.ScriptableBakedReflectionSystemSettings: "ScriptableBakedReflectionSystemSettings",
    UnityAssetClass.ScriptableRenderPipelineExtensionAttribute: "ScriptableRenderPipelineExtensionAttribute",
    UnityAssetClass.ScriptableSingleton_1: "ScriptableSingleton_1",
    UnityAssetClass.ScriptableWizard: "ScriptableWizard",
    UnityAssetClass.ScriptCallOptimizationLevel: "ScriptCallOptimizationLevel",
    UnityAssetClass.ScriptCompilationOptions: "ScriptCompilationOptions",
    UnityAssetClass.ScriptCompilationResult: "ScriptCompilationResult",
    UnityAssetClass.ScriptCompilationSettings: "ScriptCompilationSettings",
    UnityAssetClass.ScriptCompiler: "ScriptCompiler",
    UnityAssetClass.ScriptCompilerOptions: "ScriptCompilerOptions",
    UnityAssetClass.ScriptedImporter: "ScriptedImporter",
    UnityAssetClass.ScriptedImporterAttribute: "ScriptedImporterAttribute",
    UnityAssetClass.ScriptedImporterEditor: "ScriptedImporterEditor",
    UnityAssetClass.ScriptingImplementation: "ScriptingImplementation",
    UnityAssetClass.ScriptingRuntimeVersion: "ScriptingRuntimeVersion",
    UnityAssetClass.ScrollViewScope: "ScrollViewScope",
    UnityAssetClass.SearchAction: "SearchAction",
    UnityAssetClass.SearchActionsProviderAttribute: "SearchActionsProviderAttribute",
    UnityAssetClass.SearchColumn: "SearchColumn",
    UnityAssetClass.SearchColumnCompareArgs: "SearchColumnCompareArgs",
    UnityAssetClass.SearchColumnEventArgs: "SearchColumnEventArgs",
    UnityAssetClass.SearchColumnFlags: "SearchColumnFlags",
    UnityAssetClass.SearchColumnProviderAttribute: "SearchColumnProviderAttribute",
    UnityAssetClass.SearchContext: "SearchContext",
    UnityAssetClass.SearchDocument: "SearchDocument",
    UnityAssetClass.SearchDocumentFlags: "SearchDocumentFlags",
    UnityAssetClass.SearchEngineScope: "SearchEngineScope",
    UnityAssetClass.SearchExpression: "SearchExpression",
    UnityAssetClass.SearchExpressionContext: "SearchExpressionContext",
    UnityAssetClass.SearchExpressionEvaluationHints: "SearchExpressionEvaluationHints",
    UnityAssetClass.SearchExpressionEvaluatorAttribute: "SearchExpressionEvaluatorAttribute",
    UnityAssetClass.SearchExpressionEvaluatorSignatureOverloadAttribute: "SearchExpressionEvaluatorSignatureOverloadAttribute",
    UnityAssetClass.SearchExpressionKeyword: "SearchExpressionKeyword",
    UnityAssetClass.SearchExpressionRuntime: "SearchExpressionRuntime",
    UnityAssetClass.SearchExpressionType: "SearchExpressionType",
    UnityAssetClass.SearchField: "SearchField",
    UnityAssetClass.SearchFieldBase_2: "SearchFieldBase_2",
    UnityAssetClass.SearchFlags: "SearchFlags",
    UnityAssetClass.SearchIndexer: "SearchIndexer",
    UnityAssetClass.SearchItem: "SearchItem",
    UnityAssetClass.SearchItemOptions: "SearchItemOptions",
    UnityAssetClass.SearchItemProviderAttribute: "SearchItemProviderAttribute",
    UnityAssetClass.SearchMonitor: "SearchMonitor",
    UnityAssetClass.SearchMonitorView: "SearchMonitorView",
    UnityAssetClass.SearchProposition: "SearchProposition",
    UnityAssetClass.SearchPropositionFlags: "SearchPropositionFlags",
    UnityAssetClass.SearchPropositionFlagsExtensions: "SearchPropositionFlagsExtensions",
    UnityAssetClass.SearchPropositionOptions: "SearchPropositionOptions",
    UnityAssetClass.SearchProvider: "SearchProvider",
    UnityAssetClass.SearchQueryError: "SearchQueryError",
    UnityAssetClass.SearchQueryErrorType: "SearchQueryErrorType",
    UnityAssetClass.SearchRequest: "SearchRequest",
    UnityAssetClass.SearchResult: "SearchResult",
    UnityAssetClass.SearchSelection: "SearchSelection",
    UnityAssetClass.SearchSelectorArgs: "SearchSelectorArgs",
    UnityAssetClass.SearchSelectorAttribute: "SearchSelectorAttribute",
    UnityAssetClass.SearchService: "SearchService",
    UnityAssetClass.SearchSettings: "SearchSettings",
    UnityAssetClass.SearchTable: "SearchTable",
    UnityAssetClass.SearchTreeEntry: "SearchTreeEntry",
    UnityAssetClass.SearchTreeGroupEntry: "SearchTreeGroupEntry",
    UnityAssetClass.SearchUtils: "SearchUtils",
    UnityAssetClass.SearchValue: "SearchValue",
    UnityAssetClass.SearchViewState: "SearchViewState",
    UnityAssetClass.SearchWindow: "SearchWindow",
    UnityAssetClass.SearchWindowContext: "SearchWindowContext",
    UnityAssetClass.SelectIfAttribute: "SelectIfAttribute",
    UnityAssetClass.SelectIfNotAttribute: "SelectIfNotAttribute",
    UnityAssetClass.Selection: "Selection",
    UnityAssetClass.SelectionDragger: "SelectionDragger",
    UnityAssetClass.SelectionDropper: "SelectionDropper",
    UnityAssetClass.SelectionMode: "SelectionMode",
    UnityAssetClass.SelectOrRemoveAttribute: "SelectOrRemoveAttribute",
    UnityAssetClass.SemanticMergeMode: "SemanticMergeMode",
    UnityAssetClass.SerializationInfo: "SerializationInfo",
    UnityAssetClass.SerializationUtility: "SerializationUtility",
    UnityAssetClass.SerializedLocation: "SerializedLocation",
    UnityAssetClass.SerializedObject: "SerializedObject",
    UnityAssetClass.SerializedObjectChangeEvent: "SerializedObjectChangeEvent",
    UnityAssetClass.SerializedProperty: "SerializedProperty",
    UnityAssetClass.SerializedPropertyChangeEvent: "SerializedPropertyChangeEvent",
    UnityAssetClass.SerializedPropertyNumericType: "SerializedPropertyNumericType",
    UnityAssetClass.SerializedPropertyType: "SerializedPropertyType",
    UnityAssetClass.SessionState: "SessionState",
    UnityAssetClass.Settings: "Settings",
    UnityAssetClass.SettingsProvider: "SettingsProvider",
    UnityAssetClass.SettingsProviderAttribute: "SettingsProviderAttribute",
    UnityAssetClass.SettingsProviderGroupAttribute: "SettingsProviderGroupAttribute",
    UnityAssetClass.SettingsScope: "SettingsScope",
    UnityAssetClass.SettingsService: "SettingsService",
    UnityAssetClass.SetupDragAndDropArgs: "SetupDragAndDropArgs",
    UnityAssetClass.Severity: "Severity",
    UnityAssetClass.ShaderCompilerData: "ShaderCompilerData",
    UnityAssetClass.ShaderCompilerMessageSeverity: "ShaderCompilerMessageSeverity",
    UnityAssetClass.ShaderCompilerPlatform: "ShaderCompilerPlatform",
    UnityAssetClass.ShaderData: "ShaderData",
    UnityAssetClass.ShaderGUI: "ShaderGUI",
    UnityAssetClass.ShaderImporter: "ShaderImporter",
    UnityAssetClass.ShaderInclude: "ShaderInclude",
    UnityAssetClass.ShaderIncludePathAttribute: "ShaderIncludePathAttribute",
    UnityAssetClass.ShaderInfo: "ShaderInfo",
    UnityAssetClass.ShaderMessage: "ShaderMessage",
    UnityAssetClass.ShaderPrecisionModel: "ShaderPrecisionModel",
    UnityAssetClass.ShaderPropertyType: "ShaderPropertyType",
    UnityAssetClass.ShaderQuality: "ShaderQuality",
    UnityAssetClass.ShaderRequirements: "ShaderRequirements",
    UnityAssetClass.ShaderSnippetData: "ShaderSnippetData",
    UnityAssetClass.ShaderType: "ShaderType",
    UnityAssetClass.ShaderUtil: "ShaderUtil",
    UnityAssetClass.ShortcutArguments: "ShortcutArguments",
    UnityAssetClass.ShortcutAttribute: "ShortcutAttribute",
    UnityAssetClass.ShortcutBaseAttribute: "ShortcutBaseAttribute",
    UnityAssetClass.ShortcutBinding: "ShortcutBinding",
    UnityAssetClass.ShortcutBindingChangedEventArgs: "ShortcutBindingChangedEventArgs",
    UnityAssetClass.ShortcutHandler: "ShortcutHandler",
    UnityAssetClass.ShortcutManager: "ShortcutManager",
    UnityAssetClass.ShortcutModifiers: "ShortcutModifiers",
    UnityAssetClass.ShortcutStage: "ShortcutStage",
    UnityAssetClass.ShowDetailsOptions: "ShowDetailsOptions",
    UnityAssetClass.SketchUpImportCamera: "SketchUpImportCamera",
    UnityAssetClass.SketchUpImporter: "SketchUpImporter",
    UnityAssetClass.SketchUpImportScene: "SketchUpImportScene",
    UnityAssetClass.SketchupMaterialDescriptionPreprocessor: "SketchupMaterialDescriptionPreprocessor",
    UnityAssetClass.SourceAssetIdentifier: "SourceAssetIdentifier",
    UnityAssetClass.SourceTextureInformation: "SourceTextureInformation",
    UnityAssetClass.SpeedTreeImporter: "SpeedTreeImporter",
    UnityAssetClass.SphereBoundsHandle: "SphereBoundsHandle",
    UnityAssetClass.SplashScreen: "SplashScreen",
    UnityAssetClass.SplashScreenLogo: "SplashScreenLogo",
    UnityAssetClass.SplashScreenStyle: "SplashScreenStyle",
    UnityAssetClass.SpriteAtlasAsset: "SpriteAtlasAsset",
    UnityAssetClass.SpriteAtlasExtensions: "SpriteAtlasExtensions",
    UnityAssetClass.SpriteAtlasImporter: "SpriteAtlasImporter",
    UnityAssetClass.SpriteAtlasPackingSettings: "SpriteAtlasPackingSettings",
    UnityAssetClass.SpriteAtlasTextureSettings: "SpriteAtlasTextureSettings",
    UnityAssetClass.SpriteAtlasUtility: "SpriteAtlasUtility",
    UnityAssetClass.SpriteEditorExtension: "SpriteEditorExtension",
    UnityAssetClass.SpriteImportData: "SpriteImportData",
    UnityAssetClass.SpriteImportMode: "SpriteImportMode",
    UnityAssetClass.SpriteMetaData: "SpriteMetaData",
    UnityAssetClass.SpritePackerMode: "SpritePackerMode",
    UnityAssetClass.SpriteUtility: "SpriteUtility",
    UnityAssetClass.StackNode: "StackNode",
    UnityAssetClass.Stage: "Stage",
    UnityAssetClass.StageHandle: "StageHandle",
    UnityAssetClass.StageUtility: "StageUtility",
    UnityAssetClass.StandaloneBuildSubtarget: "StandaloneBuildSubtarget",
    UnityAssetClass.StateMachineBehaviourContext: "StateMachineBehaviourContext",
    UnityAssetClass.States: "States",
    UnityAssetClass.StaticEditorFlags: "StaticEditorFlags",
    UnityAssetClass.StaticOcclusionCulling: "StaticOcclusionCulling",
    UnityAssetClass.StaticOcclusionCullingVisualization: "StaticOcclusionCullingVisualization",
    UnityAssetClass.Status: "Status",
    UnityAssetClass.StatusCode: "StatusCode",
    UnityAssetClass.StatusQueryOptions: "StatusQueryOptions",
    UnityAssetClass.StereoRenderingPath: "StereoRenderingPath",
    UnityAssetClass.StickyNote: "StickyNote",
    UnityAssetClass.StickyNoteChange: "StickyNoteChange",
    UnityAssetClass.StickyNoteChangeEvent: "StickyNoteChangeEvent",
    UnityAssetClass.StickyNoteFontSize: "StickyNoteFontSize",
    UnityAssetClass.StickyNoteTheme: "StickyNoteTheme",
    UnityAssetClass.StringView: "StringView",
    UnityAssetClass.StrippingInfo: "StrippingInfo",
    UnityAssetClass.StrippingLevel: "StrippingLevel",
    UnityAssetClass.SubmitResult: "SubmitResult",
    UnityAssetClass.Subshader: "Subshader",
    UnityAssetClass.Sysroot: "Sysroot",
    UnityAssetClass.TagConstraintAttribute: "TagConstraintAttribute",
    UnityAssetClass.TagField: "TagField",
    UnityAssetClass.TakeInfo: "TakeInfo",
    UnityAssetClass.TangentMode: "TangentMode",
    UnityAssetClass.Task: "Task",
    UnityAssetClass.TemplateInstantiationMode: "TemplateInstantiationMode",
    UnityAssetClass.TerrainBrushPreviewMode: "TerrainBrushPreviewMode",
    UnityAssetClass.TerrainDetailMeshRenderMode: "TerrainDetailMeshRenderMode",
    UnityAssetClass.TerrainDetailMeshWizard: "TerrainDetailMeshWizard",
    UnityAssetClass.TerrainDetailTextureWizard: "TerrainDetailTextureWizard",
    UnityAssetClass.TerrainInspectorUtility: "TerrainInspectorUtility",
    UnityAssetClass.TerrainLayerInspector: "TerrainLayerInspector",
    UnityAssetClass.TerrainLayerUtility: "TerrainLayerUtility",
    UnityAssetClass.TerrainPaintTool_1: "TerrainPaintTool_1",
    UnityAssetClass.TerrainPaintUtilityEditor: "TerrainPaintUtilityEditor",
    UnityAssetClass.TerrainToolShortcutContext: "TerrainToolShortcutContext",
    UnityAssetClass.TerrainWizard: "TerrainWizard",
    UnityAssetClass.TextCursorPlacement: "TextCursorPlacement",
    UnityAssetClass.TextureBindingInfo: "TextureBindingInfo",
    UnityAssetClass.TextureCompressionQuality: "TextureCompressionQuality",
    UnityAssetClass.TextureGenerationOutput: "TextureGenerationOutput",
    UnityAssetClass.TextureGenerationSettings: "TextureGenerationSettings",
    UnityAssetClass.TextureGenerator: "TextureGenerator",
    UnityAssetClass.TextureImporter: "TextureImporter",
    UnityAssetClass.TextureImporterAlphaSource: "TextureImporterAlphaSource",
    UnityAssetClass.TextureImporterCompression: "TextureImporterCompression",
    UnityAssetClass.TextureImporterCubemapConvolution: "TextureImporterCubemapConvolution",
    UnityAssetClass.TextureImporterFormat: "TextureImporterFormat",
    UnityAssetClass.TextureImporterGenerateCubemap: "TextureImporterGenerateCubemap",
    UnityAssetClass.TextureImporterMipFilter: "TextureImporterMipFilter",
    UnityAssetClass.TextureImporterNormalFilter: "TextureImporterNormalFilter",
    UnityAssetClass.TextureImporterNPOTScale: "TextureImporterNPOTScale",
    UnityAssetClass.TextureImporterPlatformSettings: "TextureImporterPlatformSettings",
    UnityAssetClass.TextureImporterRGBMMode: "TextureImporterRGBMMode",
    UnityAssetClass.TextureImporterSettings: "TextureImporterSettings",
    UnityAssetClass.TextureImporterShape: "TextureImporterShape",
    UnityAssetClass.TextureImporterSingleChannelComponent: "TextureImporterSingleChannelComponent",
    UnityAssetClass.TextureImporterSwizzle: "TextureImporterSwizzle",
    UnityAssetClass.TextureImporterType: "TextureImporterType",
    UnityAssetClass.TexturePropertyDescription: "TexturePropertyDescription",
    UnityAssetClass.TextureResizeAlgorithm: "TextureResizeAlgorithm",
    UnityAssetClass.ThreeDSMaterialDescriptionPreprocessor: "ThreeDSMaterialDescriptionPreprocessor",
    UnityAssetClass.TierSettings: "TierSettings",
    UnityAssetClass.TimeDisplayMode: "TimeDisplayMode",
    UnityAssetClass.ToggleGroupScope: "ToggleGroupScope",
    UnityAssetClass.TokenNode: "TokenNode",
    UnityAssetClass.Tool: "Tool",
    UnityAssetClass.ToolAttribute: "ToolAttribute",
    UnityAssetClass.Toolbar: "Toolbar",
    UnityAssetClass.ToolbarBreadcrumbs: "ToolbarBreadcrumbs",
    UnityAssetClass.ToolbarButton: "ToolbarButton",
    UnityAssetClass.ToolbarMenu: "ToolbarMenu",
    UnityAssetClass.ToolbarMenuElementExtensions: "ToolbarMenuElementExtensions",
    UnityAssetClass.ToolbarOverlay: "ToolbarOverlay",
    UnityAssetClass.ToolbarPopupSearchField: "ToolbarPopupSearchField",
    UnityAssetClass.ToolbarSearchField: "ToolbarSearchField",
    UnityAssetClass.ToolbarSpacer: "ToolbarSpacer",
    UnityAssetClass.ToolbarToggle: "ToolbarToggle",
    UnityAssetClass.ToolManager: "ToolManager",
    UnityAssetClass.Tools: "Tools",
    UnityAssetClass.TouchEvent: "TouchEvent",
    UnityAssetClass.TouchPhase: "TouchPhase",
    UnityAssetClass.TransformUtils: "TransformUtils",
    UnityAssetClass.TransitionInterruptionSource: "TransitionInterruptionSource",
    UnityAssetClass.TreeView: "TreeView",
    UnityAssetClass.TreeViewItem: "TreeViewItem",
    UnityAssetClass.TreeViewSelectionOptions: "TreeViewSelectionOptions",
    UnityAssetClass.TreeViewState: "TreeViewState",
    UnityAssetClass.TrueTypeFontImporter: "TrueTypeFontImporter",
    UnityAssetClass.tvOS: "tvOS",
    UnityAssetClass.tvOSPlatformIconKind: "tvOSPlatformIconKind",
    UnityAssetClass.tvOSSdkVersion: "tvOSSdkVersion",
    UnityAssetClass.tvOSTargetOSVersion: "tvOSTargetOSVersion",
    UnityAssetClass.TypeCache: "TypeCache",
    UnityAssetClass.TypeCollection: "TypeCollection",
    UnityAssetClass.TypeDB: "TypeDB",
    UnityAssetClass.TypeDescription: "TypeDescription",
    UnityAssetClass.TypeDescriptionEntries: "TypeDescriptionEntries",
    UnityAssetClass.TypeFlags: "TypeFlags",
    UnityAssetClass.TypeFlagsExtensions: "TypeFlagsExtensions",
    UnityAssetClass.UIOrientation: "UIOrientation",
    UnityAssetClass.Undo: "Undo",
    UnityAssetClass.UndoPropertyModification: "UndoPropertyModification",
    UnityAssetClass.UndoRedoInfo: "UndoRedoInfo",
    UnityAssetClass.UnityEditor: "UnityEditor",
    UnityAssetClass.UnityEventTools: "UnityEventTools",
    UnityAssetClass.UnityLinkerBuildPipelineData: "UnityLinkerBuildPipelineData",
    UnityAssetClass.UnityLogoStyle: "UnityLogoStyle",
    UnityAssetClass.UnityObjectInfo: "UnityObjectInfo",
    UnityAssetClass.UnityObjectNativeTypeInfo: "UnityObjectNativeTypeInfo",
    UnityAssetClass.UnwrapParam: "UnwrapParam",
    UnityAssetClass.Unwrapping: "Unwrapping",
    UnityAssetClass.UpdatePrefabInstancesEventArgs: "UpdatePrefabInstancesEventArgs",
    UnityAssetClass.UserBuildSettings: "UserBuildSettings",
    UnityAssetClass.Utility: "Utility",
    UnityAssetClass.UxmlFactory: "UxmlFactory",
    UnityAssetClass.UxmlNamespacePrefixAttribute: "UxmlNamespacePrefixAttribute",
    UnityAssetClass.UxmlTraits: "UxmlTraits",
    UnityAssetClass.ValueType: "ValueType",
    UnityAssetClass.Variant: "Variant",
    UnityAssetClass.VariantCompileInfo: "VariantCompileInfo",
    UnityAssetClass.VersionControlAttribute: "VersionControlAttribute",
    UnityAssetClass.VersionControlDescriptor: "VersionControlDescriptor",
    UnityAssetClass.VersionControlManager: "VersionControlManager",
    UnityAssetClass.VersionControlObject: "VersionControlObject",
    UnityAssetClass.VersionControlUtils: "VersionControlUtils",
    UnityAssetClass.VersionsInfo: "VersionsInfo",
    UnityAssetClass.VertexChannelCompressionFlags: "VertexChannelCompressionFlags",
    UnityAssetClass.VerticalScope: "VerticalScope",
    UnityAssetClass.VideoBitrateMode: "VideoBitrateMode",
    UnityAssetClass.VideoClipImporter: "VideoClipImporter",
    UnityAssetClass.VideoCodec: "VideoCodec",
    UnityAssetClass.VideoDeinterlaceMode: "VideoDeinterlaceMode",
    UnityAssetClass.VideoEncodeAspectRatio: "VideoEncodeAspectRatio",
    UnityAssetClass.VideoEncodingProfile: "VideoEncodingProfile",
    UnityAssetClass.VideoImporterTargetSettings: "VideoImporterTargetSettings",
    UnityAssetClass.VideoResizeMode: "VideoResizeMode",
    UnityAssetClass.VideoSpatialQuality: "VideoSpatialQuality",
    UnityAssetClass.VideoTrackAttributes: "VideoTrackAttributes",
    UnityAssetClass.VideoTrackEncoderAttributes: "VideoTrackEncoderAttributes",
    UnityAssetClass.ViewModes: "ViewModes",
    UnityAssetClass.ViewTool: "ViewTool",
    UnityAssetClass.VirtualMachineInformation: "VirtualMachineInformation",
    UnityAssetClass.VisibleObjects: "VisibleObjects",
    UnityAssetClass.VisionOS: "VisionOS",
    UnityAssetClass.VisionOSSdkVersion: "VisionOSSdkVersion",
    UnityAssetClass.VP8EncoderAttributes: "VP8EncoderAttributes",
    UnityAssetClass.VRWindowsMixedReality: "VRWindowsMixedReality",
    UnityAssetClass.WebGL: "WebGL",
    UnityAssetClass.WebGLCompressionFormat: "WebGLCompressionFormat",
    UnityAssetClass.WebGLDebugSymbolMode: "WebGLDebugSymbolMode",
    UnityAssetClass.WebGLExceptionSupport: "WebGLExceptionSupport",
    UnityAssetClass.WebGLLinkerTarget: "WebGLLinkerTarget",
    UnityAssetClass.WebGLMemoryGrowthMode: "WebGLMemoryGrowthMode",
    UnityAssetClass.WebGLPowerPreference: "WebGLPowerPreference",
    UnityAssetClass.WebGLTextureSubtarget: "WebGLTextureSubtarget",
    UnityAssetClass.WebGLWasmArithmeticExceptions: "WebGLWasmArithmeticExceptions",
    UnityAssetClass.WindowsGamepadBackendHint: "WindowsGamepadBackendHint",
    UnityAssetClass.WriteCommand: "WriteCommand",
    UnityAssetClass.WriteManagerParameters: "WriteManagerParameters",
    UnityAssetClass.WriteParameters: "WriteParameters",
    UnityAssetClass.WriteResult: "WriteResult",
    UnityAssetClass.WriteSceneParameters: "WriteSceneParameters",
    UnityAssetClass.WSA: "WSA",
    UnityAssetClass.WSAApplicationForegroundText: "WSAApplicationForegroundText",
    UnityAssetClass.WSAApplicationShowName: "WSAApplicationShowName",
    UnityAssetClass.WSABuildAndRunDeployTarget: "WSABuildAndRunDeployTarget",
    UnityAssetClass.WSABuildType: "WSABuildType",
    UnityAssetClass.WSACapability: "WSACapability",
    UnityAssetClass.WSADefaultTileSize: "WSADefaultTileSize",
    UnityAssetClass.WSAFileTypeAssociations: "WSAFileTypeAssociations",
    UnityAssetClass.WSAImageScale: "WSAImageScale",
    UnityAssetClass.WSAImageType: "WSAImageType",
    UnityAssetClass.WSAInputSource: "WSAInputSource",
    UnityAssetClass.WSASubtarget: "WSASubtarget",
    UnityAssetClass.WSASupportedFileType: "WSASupportedFileType",
    UnityAssetClass.WSATargetFamily: "WSATargetFamily",
    UnityAssetClass.WSAUWPBuildType: "WSAUWPBuildType",
    UnityAssetClass.XboxBuildSubtarget: "XboxBuildSubtarget",
    UnityAssetClass.XcodeBuildConfig: "XcodeBuildConfig",
    UnityAssetClass.XcScheme: "XcScheme",
}
